

/**
 * myEpideMobile. Aplicación de Gestión de información epidemiológica en emergencias internacionales.
 *
 * Copyright (C) 2010 Daniel Mayor Azcona daniel.mayor@unavarra.es
 *
 * Este programa es software libre. Puede redistribuirlo y/o modificarlo bajo los términos de la Licencia
 * Pública General de GNU según es publicada por la Free Software Foundation, bien de la versión 2 de dicha
 * Licencia o bien (según su elección) de cualquier versión posterior.
 *
 * Este programa se distribuye con la esperanza de que sea útil, pero SIN NINGUNA GARANTÍA, incluso sin la
 * garantía MERCANTIL implícita o sin garantizar la CONVENIENCIA PARA UN PROPÓSITO PARTICULAR. Véase la Licencia
 * Pública General de GNU para más detalles.
 *
 * Debería haber recibido una copia de la Licencia Pública General junto con este programa. Si no ha sido así,
 * escriba a la Free Software Foundation, Inc., en 675 Mass Ave, Cambridge, MA 02139, EEUU.
 *
 */

import java.io.InputStream;
import java.util.Vector;

/**
 * Lee del fichero de configuración symptoms.txt los síntomas de enfermedades que se analizarán.
 * @author Daniel Mayor
 */
public class getConfigSymptom {
    int num_sintomas;
    String[] sintomas;//habría que afinar esto
    int c;
    Vector v = new Vector();

    /**
     * Constructor de la clase getConfigSymptom. Lee el fichero con los síntomas y los almacena en un vector.
     * @param fichero nombre del fichero con los síntomas.
     */
    public getConfigSymptom(String fichero) {
        InputStream is = null;
        StringBuffer sb = new StringBuffer();
        try {
            is = getClass().getResourceAsStream(fichero);
            while ((c = is.read()) != -1) {
                if (c == 10) { //almacena el String acumulado en una nueva posición del array con el LF
                    v.addElement(sb.toString());
                    sb = null;
                    sb = new StringBuffer();
                }
                else if (c == 13) //ignora el retorno de carro CR
                    {}
                else
                    sb.append((char)c);
            }
            if (c == -1)
                if (sb.length() > 1) {
                    v.addElement(sb.toString());
                    sb = null;
                }
            num_sintomas = v.size();
            sintomas = new String[v.size()];
            for(int i=0; i<v.size(); i++){
                sintomas[i]=(v.elementAt(i).toString());
            }
            is.close();
            is = null;
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * Devuelve el número de síntomas.
     * @return num_sintomas número de síntomas.
     */
    public int n_sintomas() {
        return num_sintomas;
    }

    /**
     * Devuelve un array de Strings que almacena los síntomas.
     * @return sintomas array de Strings con los síntomas.
     */
    public String[] sintomas() {
        return sintomas;
    }
}
