

/**
 * myEpideMobile. Aplicación de Gestión de información epidemiológica en emergencias internacionales.
 *
 * Copyright (C) 2010 Daniel Mayor Azcona daniel.mayor@unavarra.es
 *
 * Este programa es software libre. Puede redistribuirlo y/o modificarlo bajo los términos de la Licencia
 * Pública General de GNU según es publicada por la Free Software Foundation, bien de la versión 2 de dicha
 * Licencia o bien (según su elección) de cualquier versión posterior.
 *
 * Este programa se distribuye con la esperanza de que sea útil, pero SIN NINGUNA GARANTÍA, incluso sin la
 * garantía MERCANTIL implícita o sin garantizar la CONVENIENCIA PARA UN PROPÓSITO PARTICULAR. Véase la Licencia
 * Pública General de GNU para más detalles.
 *
 * Debería haber recibido una copia de la Licencia Pública General junto con este programa. Si no ha sido así,
 * escriba a la Free Software Foundation, Inc., en 675 Mass Ave, Cambridge, MA 02139, EEUU.
 *
 */

import java.io.InputStream;
import java.util.Vector;

/**
 * Lee los ficheros de texto almacenados en el archivo .jar del dispositivo móvil con los datos
 * recogidos por el sistema.
 * @author Daniel Mayor
 */
public class getJSON_jar {
    int c;
    Vector v = new Vector();

    /**
     * Constructor de la clase getJSON_jar. Lee los ficheros de texto almacenados dentro del .jar.
     * @param fichero nombre del fichero.
     */
    public getJSON_jar(String fichero) {
        InputStream is = null;
        StringBuffer sb = new StringBuffer();
        try {
            is = getClass().getResourceAsStream(fichero);
            while ((c = is.read()) != -1) {
                if (c == 10) { //almacena el string acumulado en una nueva posición del array con el LF
                    v.addElement(sb.toString());
                    sb = null;
                    sb = new StringBuffer();
                }
                else if (c == 13) //quita el retorno de carro CR
                    {}
                else
                    sb.append((char)c);
            }
            if (c == -1)
                if (sb.length() > 1) {
                    v.addElement(sb.toString());
                    sb = null;
                }
            is.close();
            is = null;
        } catch (Exception e) { e.printStackTrace(); }
    }

    /**
     * Devuelve el vector en forma de array de Strings.
     * @return jsons array de Strings con los JSON almacenados en el vector.
     */
    public String[] jsons() {
        String[] jsons = new String[v.size()];
        for(int i=0; i<v.size(); i++){
            jsons[i]=(v.elementAt(i).toString());
        }
        return jsons;
    }

    /**
     * Devuelve el tamaño del vector.
     * @return v.size() número de json almacenados en el fichero
     */
    public int n_jsons() {
        return v.size();
    }
}
