

/**
 * myEpideMobile. Aplicación de Gestión de información epidemiológica en emergencias internacionales.
 *
 * Copyright (C) 2010 Daniel Mayor Azcona daniel.mayor@unavarra.es
 *
 * Este programa es software libre. Puede redistribuirlo y/o modificarlo bajo los términos de la Licencia
 * Pública General de GNU según es publicada por la Free Software Foundation, bien de la versión 2 de dicha
 * Licencia o bien (según su elección) de cualquier versión posterior.
 *
 * Este programa se distribuye con la esperanza de que sea útil, pero SIN NINGUNA GARANTÍA, incluso sin la
 * garantía MERCANTIL implícita o sin garantizar la CONVENIENCIA PARA UN PROPÓSITO PARTICULAR. Véase la Licencia
 * Pública General de GNU para más detalles.
 *
 * Debería haber recibido una copia de la Licencia Pública General junto con este programa. Si no ha sido así,
 * escriba a la Free Software Foundation, Inc., en 675 Mass Ave, Cambridge, MA 02139, EEUU.
 *
 */

import java.io.InputStream;
import org.json.me.JSONObject;
import java.util.Vector;

/**
 * Accede al fichero de configuración settings.txt y obtiene las variables globales con los ajustes del programa.
 * @author Daniel Mayor
 */
public class getConfigIDs {
    int n = 3;
    Vector ids = new Vector();
    StringBuffer sb;
    //String[] ids = new String[5];
    int i = 0, c;

    /**
     * Constructor de la clase getConfigIDs. Lee el fichero de configuración y almacena
     * las variables en un vector.
     * @param fichero nombre del fichero.
     */
    public getConfigIDs(String fichero) {
        InputStream is = null;
        sb = new StringBuffer();
        try {
            is = getClass().getResourceAsStream(fichero);
            while ((c = is.read()) != -1) {
                if (c == 10) { //almacena el string acumulado en una nueva posición del array con el LF
                    ids.addElement(sb.toString());
                    sb = null;
                    sb = new StringBuffer();
                    i++;
                }
                else if (c == 13) //quita el retorno de carro CR
                    {}
                else
                    sb.append((char)c);
            }
            if (c == -1)
                if (sb.length() > 1) {
                    ids.addElement(sb.toString());
                    sb = null;
                }
            is.close();
            is = null;
        } catch (Exception e) { e.printStackTrace(); }
    }

    /**
     * Devuelve un array de Strings con el contenido del vector ids
     * @return idstring contiene los elementos del vector
     */
    public String[] idstring() {
        String[] idstring = new String[ids.size()];
        for (int j=0; j<ids.size(); j++)
            idstring[j] = ids.elementAt(j).toString();
        return idstring;
    }

    /**
     * Convierte el vector con los json en un objeto JSON
     * @deprecated no se utiliza
     * @return jObject objeto JSON
     */
    public JSONObject vector2JSON() {
        JSONObject jObject = new JSONObject();//array de JSONObject del tamaño gj2.i
        try {
            for (int j=0; j<ids.size(); j++) {
                jObject.getJSONArray(sb.toString());
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return jObject;
    }
}
