/**
 * myEpideMobile. Aplicación de Gestión de información epidemiológica en emergencias internacionales.
 *
 * Copyright (C) 2010 Daniel Mayor Azcona daniel.mayor@unavarra.es
 *
 * Este programa es software libre. Puede redistribuirlo y/o modificarlo bajo los términos de la Licencia
 * Pública General de GNU según es publicada por la Free Software Foundation, bien de la versión 2 de dicha
 * Licencia o bien (según su elección) de cualquier versión posterior.
 *
 * Este programa se distribuye con la esperanza de que sea útil, pero SIN NINGUNA GARANTÍA, incluso sin la
 * garantía MERCANTIL implícita o sin garantizar la CONVENIENCIA PARA UN PROPÓSITO PARTICULAR. Véase la Licencia
 * Pública General de GNU para más detalles.
 *
 * Debería haber recibido una copia de la Licencia Pública General junto con este programa. Si no ha sido así,
 * escriba a la Free Software Foundation, Inc., en 675 Mass Ave, Cambridge, MA 02139, EEUU.
 *
 */

import javax.microedition.midlet.MIDlet;
import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.Choice;
import javax.microedition.lcdui.ChoiceGroup;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.DateField;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.Item;
import javax.microedition.lcdui.List;
import javax.microedition.lcdui.TextField;
import javax.microedition.lcdui.TextBox;
import java.util.Date;
import java.util.Calendar;
import org.json.me.JSONObject;
import org.json.me.JSONException;
import org.json.me.JSONArray;
import java.util.Vector;
import org.netbeans.microedition.lcdui.WaitScreen;
import org.netbeans.microedition.util.SimpleCancellableTask;

/**
 * Contiene el MIDlet de la aplicación con la interfaz gráfica para acceder a las funcionalidades
 * del programa.
 * @author Daniel Mayor
 * @version 1.0
 */
public class menuMIDlet extends MIDlet implements CommandListener {

    private boolean midletPaused = false;

    //<editor-fold defaultstate="collapsed" desc=" Generated Fields ">//GEN-BEGIN:|fields|0|
    private List main;
    private Form form_add;
    private DateField dateField_add;
    private Form form_view;
    private ChoiceGroup choiceGroup_view;
    private Form form_edit;
    private ChoiceGroup choiceGroup_edit;
    private List Transfer;
    private List settings;
    private Form form_add_select_symptom;
    private ChoiceGroup choiceGroup_symptom;
    private Form form_add_number;
    private TextField textField_mu5;
    private TextField textField_fu5;
    private TextField textField_mo5;
    private TextField textField_fo5;
    private TextBox textBox_add;
    private List bucle_add;
    private TextBox textBox_view;
    private Form form_del;
    private ChoiceGroup choiceGroup_del;
    private TextBox textBox_del;
    private Form form_settings;
    private TextField ID_Op_field;
    private TextField ID_Base_field;
    private TextField ID_Device_field;
    private List bucle_edit;
    private Form form_edit_number;
    private TextField textField_ed_fu5;
    private TextField textField_ed_fo5;
    private TextField textField_ed_mu5;
    private TextField textField_ed_mo5;
    private Form form_edit_select_symptom;
    private ChoiceGroup choiceGroup_edit_symptom;
    private TextBox textBox_edit;
    private WaitScreen waitScreen_SD;
    private WaitScreen waitScreen_Base;
    private TextBox textBox_upload_Base;
    private TextBox textBox_upload_SD;
    private WaitScreen waitScreen_HQ;
    private TextBox textBox_upload_HQ;
    private Command exitCommand_main;
    private Command okCommand_add;
    private Command okCommand_main;
    private Command backCommand_add;
    private Command okCommand_edit;
    private Command backCommand_view;
    private Command backCommand_edit;
    private Command backCommand_transfer;
    private Command backCommand_config;
    private Command backCommand_select_symptom;
    private Command okCommand_number;
    private Command okCommand_select_symptom;
    private Command backCommand_number;
    private Command okCommand_textBox_view;
    private Command okCommand_view;
    private Command okCommand_textBox_add;
    private Command okCommand_bucle_add;
    private Command okCommand_del;
    private Command backCommand_del;
    private Command okCommand_config;
    private Command backCommand_textBox_view;
    private Command okCommand_textBox_del;
    private Command backCommand_textBox_del;
    private Command okCommand_form_set;
    private Command okCommand_bucle_edit;
    private Command backCommand_edit_number;
    private Command okCommand_edit_number;
    private Command backCommand_edit_select_symptom;
    private Command okCommand_edit_select_symptom;
    private Command backCommand_textBox_edit;
    private Command okCommand_textBox_edit;
    private Command okCommand_upload_SD;
    private Command okCommand_upload_Base;
    private Command okCommand_transfer;
    private Command okCommand_upload_HQ;
    private SimpleCancellableTask task_edit;
    private SimpleCancellableTask task_upload_SD;
    private SimpleCancellableTask task_upload_Base;
    private SimpleCancellableTask task_upload_HQ;
    //</editor-fold>//GEN-END:|fields|0|
    String id_operation;
    String id_base;
    String id_device;
    String date_add, date_view, date_edit, date_del;
    String veamos = null;
    String stringjson;
    String str_view;            //string con el que se muestra el contenido del registro a visualizar
    String str_edit;            //string con el que se muestra el contenido del registro a editar
    String str_del;             //string con el que se muestrael contenido del registro a borrar
    String urlserver;
    String urlquery;
    String f_rec;               //nombre del fichero de registros
    String ruta;
    String[] return_HQ, return_SD;
    String[] ids;               //array donde se almacenan los ids de la op, base y dev
    String[] diseases;          //array donde se guardan los nombres de los síntomas
    String[] jsons;             //array donde se guardan los json guardados en disco sin enviar
    String[][] data;            //array de 2 dimensiones utilizado para guardar por separado el numero de pacientes
    int disease;
    int exito;
    int number_of_diseases;     //número de síntomas
    int n_recs;                 //número de registros almacenados en fichero de texto
    int suc;                    //resultado de la operación de editar un registro
    boolean[] booleano, bool_view, bool_del;//array de booleanos utilizado para generar el formulario select_diseases
    JSONObject[] jObject;       //array de objetos json
    JSONObject json_view;       //json donde se almacena el registro que se desea visualizar
    JSONObject json_edit;       //json donde se almacena el registro que se desea editar
    JSONObject json_del;        //json donde se almacena el registro que se desea eliminar
    JSONArray arr_edit_mu5;     //arrays donde se meten los arrays de síntomas organizados por sexo y edad
    JSONArray arr_edit_mo5;
    JSONArray arr_edit_fu5;
    JSONArray arr_edit_fo5;
    Vector vjson_view = null;   //Vector donde se mete el contenido de jsons a visualizar
    Vector vjson_edit = null;   //Vector donde se mete el contenido de jsons a editar
    Vector vjson_del = null;    //Vector donde se mete el contenido de jsons a eliminar
    getConfigSymptom symptoms;  //objeto con el que se accede a los síntomas almacenados en .txt
    getConfigIDs conf;          //objeto con el que se accede a los conf almacenados en .txt
    getJSON gjson_view;         //objeto con el que se accede a los json almacenados en .txt para visualizar (provisional)

    /**
     * The menuMIDlet MIDlet constructor.
     */
    public menuMIDlet() {
        conf = new getConfigIDs("settings.txt");//obtenemos configuración
        ids = conf.idstring();
        symptoms = new getConfigSymptom("symptoms.txt");//accedemos al fichero de síntomas
        number_of_diseases = symptoms.n_sintomas();     //Obtenemos número de síntomas
        diseases = symptoms.sintomas();                 //Obtenemos síntomas
        id_operation = ids[0];
        id_base = ids[1];
        id_device = ids[2];
        urlserver = ids[3];
        urlquery = ids[4];
        f_rec = ids[5];
        ruta = ids[6];
    }

    //<editor-fold defaultstate="collapsed" desc=" Generated Methods ">//GEN-BEGIN:|methods|0|
    //</editor-fold>//GEN-END:|methods|0|

    //<editor-fold defaultstate="collapsed" desc=" Generated Method: initialize ">//GEN-BEGIN:|0-initialize|0|0-preInitialize
    /**
     * Initilizes the application.
     * It is called only once when the MIDlet is started. The method is called before the <code>startMIDlet</code> method.
     */
    private void initialize() {//GEN-END:|0-initialize|0|0-preInitialize
        // write pre-initialize user code here
//GEN-LINE:|0-initialize|1|0-postInitialize
        // write post-initialize user code here
    }//GEN-BEGIN:|0-initialize|2|
    //</editor-fold>//GEN-END:|0-initialize|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Method: startMIDlet ">//GEN-BEGIN:|3-startMIDlet|0|3-preAction
    /**
     * Performs an action assigned to the Mobile Device - MIDlet Started point.
     */
    public void startMIDlet() {//GEN-END:|3-startMIDlet|0|3-preAction
        // write pre-action user code here
        switchDisplayable(null, getMain());//GEN-LINE:|3-startMIDlet|1|3-postAction
        // write post-action user code here
    }//GEN-BEGIN:|3-startMIDlet|2|
    //</editor-fold>//GEN-END:|3-startMIDlet|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Method: resumeMIDlet ">//GEN-BEGIN:|4-resumeMIDlet|0|4-preAction
    /**
     * Performs an action assigned to the Mobile Device - MIDlet Resumed point.
     */
    public void resumeMIDlet() {//GEN-END:|4-resumeMIDlet|0|4-preAction
        // write pre-action user code here
//GEN-LINE:|4-resumeMIDlet|1|4-postAction
        // write post-action user code here
    }//GEN-BEGIN:|4-resumeMIDlet|2|
    //</editor-fold>//GEN-END:|4-resumeMIDlet|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Method: switchDisplayable ">//GEN-BEGIN:|5-switchDisplayable|0|5-preSwitch
    /**
     * Switches a current displayable in a display. The <code>display</code> instance is taken from <code>getDisplay</code> method. This method is used by all actions in the design for switching displayable.
     * @param alert the Alert which is temporarily set to the display; if <code>null</code>, then <code>nextDisplayable</code> is set immediately
     * @param nextDisplayable the Displayable to be set
     */
    public void switchDisplayable(Alert alert, Displayable nextDisplayable) {//GEN-END:|5-switchDisplayable|0|5-preSwitch
        // write pre-switch user code here
        Display display = getDisplay();//GEN-BEGIN:|5-switchDisplayable|1|5-postSwitch
        if (alert == null) {
            display.setCurrent(nextDisplayable);
        } else {
            display.setCurrent(alert, nextDisplayable);
        }//GEN-END:|5-switchDisplayable|1|5-postSwitch
        // write post-switch user code here
    }//GEN-BEGIN:|5-switchDisplayable|2|
    //</editor-fold>//GEN-END:|5-switchDisplayable|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Method: commandAction for Displayables ">//GEN-BEGIN:|7-commandAction|0|7-preCommandAction
    /**
     * Called by a system to indicated that a command has been invoked on a particular displayable.
     * @param command the Command that was invoked
     * @param displayable the Displayable where the command was invoked
     */
    public void commandAction(Command command, Displayable displayable) {//GEN-END:|7-commandAction|0|7-preCommandAction
        // write pre-action user code here
        if (displayable == Transfer) {//GEN-BEGIN:|7-commandAction|1|108-preAction
            if (command == List.SELECT_COMMAND) {//GEN-END:|7-commandAction|1|108-preAction
                // write pre-action user code here
                TransferAction();//GEN-LINE:|7-commandAction|2|108-postAction
                // write post-action user code here
            } else if (command == backCommand_transfer) {//GEN-LINE:|7-commandAction|3|113-preAction
                // write pre-action user code here
                switchDisplayable(null, getMain());//GEN-LINE:|7-commandAction|4|113-postAction
                // write post-action user code here
            } else if (command == okCommand_transfer) {//GEN-LINE:|7-commandAction|5|490-preAction
                // write pre-action user code here
                if (Transfer.getSelectedIndex()==0) {           //transferir a HQ
                    switchDisplayable(null, getWaitScreen_HQ());
                }
                else if (Transfer.getSelectedIndex()==1) {      //transferir a tarjeta de memoria
                    //switchDisplayable(null, getWaitScreen_SD());
                }
                else if (Transfer.getSelectedIndex()==2) {      //transferir a base
                    //switchDisplayable(null, getWaitScreen_Base());
                }
//GEN-LINE:|7-commandAction|6|490-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|7|369-preAction
        } else if (displayable == bucle_add) {
            if (command == List.SELECT_COMMAND) {//GEN-END:|7-commandAction|7|369-preAction
                // write pre-action user code here
//GEN-LINE:|7-commandAction|8|369-postAction
                // write post-action user code here
            } else if (command == okCommand_bucle_add) {//GEN-LINE:|7-commandAction|9|371-preAction
                // write pre-action user code here
                if (bucle_add.getSelectedIndex()==0) {  //seleccionamos agregar más datos al registro
                    resetForm_add();
                    if (choiceGroup_symptom != null)
                        choiceGroup_symptom.setSelectedIndex(disease+1, true);
                    switchDisplayable(null, getForm_add_select_symptom());
                }
                else if (bucle_add.getSelectedIndex()==1) { //seleccionamos guardar registro y volver al Menú
                    stringjson = generaJSON();
                        saveData sd = new saveData();
                        exito = sd.saveData(f_rec, stringjson, false);
                    data = null;
                    vjson_del = vjson_edit = vjson_view = null;
                    choiceGroup_del = choiceGroup_edit = choiceGroup_view = null;
                    switchDisplayable(null, getMain());
                }
//GEN-LINE:|7-commandAction|10|371-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|11|475-preAction
        } else if (displayable == bucle_edit) {
            if (command == List.SELECT_COMMAND) {//GEN-END:|7-commandAction|11|475-preAction
                // write pre-action user code here
                bucle_editAction();//GEN-LINE:|7-commandAction|12|475-postAction
                // write post-action user code here
            } else if (command == okCommand_bucle_edit) {//GEN-LINE:|7-commandAction|13|479-preAction
                // write pre-action user code here
                if (bucle_edit.getSelectedIndex()==0) {  //opción agregar más datos al registro
                    resetForm_edit();//reseteo de algunos elementos del formulario
                    switchDisplayable(null, getForm_edit_select_symptom());
                }
                else if (bucle_edit.getSelectedIndex()==1) { //opción guardar registro y volver al Menú
                    saveData sd_edit = new saveData();
                    sd_edit.saveData(f_rec, jObject, true);
                    sd_edit = null;
                    vjson_del = vjson_edit = vjson_view = null;
                    choiceGroup_del = choiceGroup_edit = choiceGroup_view = null;
                    form_del = form_edit = form_view = null;
                    switchDisplayable(null, getMain());
                }
//GEN-LINE:|7-commandAction|14|479-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|15|77-preAction
        } else if (displayable == form_add) {
            if (command == backCommand_add) {//GEN-END:|7-commandAction|15|77-preAction
                // write pre-action user code here
                switchDisplayable(null, getMain());//GEN-LINE:|7-commandAction|16|77-postAction
                // write post-action user code here
            } else if (command == okCommand_add) {//GEN-LINE:|7-commandAction|17|71-preAction
                // write pre-action user code here
                switchDisplayable(null, getForm_add_select_symptom());//GEN-LINE:|7-commandAction|18|71-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|19|334-preAction
        } else if (displayable == form_add_number) {
            if (command == backCommand_number) {//GEN-END:|7-commandAction|19|334-preAction
                // write pre-action user code here
                switchDisplayable(null, getForm_add_select_symptom());//GEN-LINE:|7-commandAction|20|334-postAction
                // write post-action user code here
            } else if (command == okCommand_number) {//GEN-LINE:|7-commandAction|21|256-preAction
                // write pre-action user code here
                switchDisplayable(null, getTextBox_add());//GEN-LINE:|7-commandAction|22|256-postAction
                // write post-action user code here

            }//GEN-BEGIN:|7-commandAction|23|260-preAction
        } else if (displayable == form_add_select_symptom) {
            if (command == backCommand_select_symptom) {//GEN-END:|7-commandAction|23|260-preAction
                // write pre-action user code here
                switchDisplayable(null, getForm_add());//GEN-LINE:|7-commandAction|24|260-postAction
                // write post-action user code here
            } else if (command == okCommand_select_symptom) {//GEN-LINE:|7-commandAction|25|292-preAction
                // write pre-action user code here
                switchDisplayable(null, getForm_add_number());//GEN-LINE:|7-commandAction|26|292-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|27|410-preAction
        } else if (displayable == form_del) {
            if (command == backCommand_del) {//GEN-END:|7-commandAction|27|410-preAction
                // write pre-action user code here
                switchDisplayable(null, getMain());//GEN-LINE:|7-commandAction|28|410-postAction
                // write post-action user code here
            } else if (command == okCommand_del) {//GEN-LINE:|7-commandAction|29|412-preAction
                // write pre-action user code here
                switchDisplayable(null, getTextBox_del());//GEN-LINE:|7-commandAction|30|412-postAction
                // write post-action user code here
                if (vjson_del.isEmpty())
                    textBox_del.setString("vjson_del vacío");
                else if (choiceGroup_del == null)
                    textBox_del.setString("choiceGroup null");
            }//GEN-BEGIN:|7-commandAction|31|81-preAction
        } else if (displayable == form_edit) {
            if (command == backCommand_edit) {//GEN-END:|7-commandAction|31|81-preAction
                // write pre-action user code here
                switchDisplayable(null, getMain());//GEN-LINE:|7-commandAction|32|81-postAction
                // write post-action user code here
            } else if (command == okCommand_edit) {//GEN-LINE:|7-commandAction|33|79-preAction
                // write pre-action user code here
                switchDisplayable(null, getTextBox_edit());//GEN-LINE:|7-commandAction|34|79-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|35|473-preAction
        } else if (displayable == form_edit_number) {
            if (command == backCommand_edit_number) {//GEN-END:|7-commandAction|35|473-preAction
                // write pre-action user code here
                textField_ed_mu5.setString("");
                textField_ed_mo5.setString("");
                textField_ed_fu5.setString("");
                textField_ed_fo5.setString("");
                switchDisplayable(null, getForm_edit_select_symptom());//GEN-LINE:|7-commandAction|36|473-postAction
                // write post-action user code here
            } else if (command == okCommand_edit_number) {//GEN-LINE:|7-commandAction|37|471-preAction
                // write pre-action user code here
                switchDisplayable(null, getBucle_edit());//GEN-LINE:|7-commandAction|38|471-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|39|461-preAction
        } else if (displayable == form_edit_select_symptom) {
            if (command == backCommand_edit_select_symptom) {//GEN-END:|7-commandAction|39|461-preAction
                // write pre-action user code here
                switchDisplayable(null, getTextBox_edit());//GEN-LINE:|7-commandAction|40|461-postAction
                // write post-action user code here
            } else if (command == okCommand_edit_select_symptom) {//GEN-LINE:|7-commandAction|41|459-preAction
                // write pre-action user code here
                switchDisplayable(null, getForm_edit_number());//GEN-LINE:|7-commandAction|42|459-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|43|432-preAction
        } else if (displayable == form_settings) {
            if (command == okCommand_form_set) {//GEN-END:|7-commandAction|43|432-preAction
                // write pre-action user code here
                switchDisplayable(null, getSettings());//GEN-LINE:|7-commandAction|44|432-postAction
                // write post-action user code here
                /*
                ids[0] = ID_Op_field.getString();
                ids[1] = ID_Base_field.getString();
                ids[2] = ID_Device_field.getString();*/
                /*try {
                    ids.put("operation", ID_Op_field.getString());
                    ids.put("base", ID_Base_field.getString());
                    ids.put("device", ID_Device_field.getString());
                } catch (JSONException jsone) { jsone.printStackTrace(); }
                saveData sd_set = new saveData();*/
                //exito = sd_set.saveData("ids.txt", ids[0]+"\n"+ids[1]+"\n"+ids[2]);
            }//GEN-BEGIN:|7-commandAction|45|75-preAction
        } else if (displayable == form_view) {
            if (command == backCommand_view) {//GEN-END:|7-commandAction|45|75-preAction
                // write pre-action user code here
                switchDisplayable(null, getMain());//GEN-LINE:|7-commandAction|46|75-postAction
                // write post-action user code here
            } else if (command == okCommand_view) {//GEN-LINE:|7-commandAction|47|378-preAction
                // write pre-action user code here
                switchDisplayable(null, getTextBox_view());//GEN-LINE:|7-commandAction|48|378-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|49|26-preAction
        } else if (displayable == main) {
            if (command == List.SELECT_COMMAND) {//GEN-END:|7-commandAction|49|26-preAction
                // write pre-action user code here
                mainAction();//GEN-LINE:|7-commandAction|50|26-postAction
                // write post-action user code here
            } else if (command == exitCommand_main) {//GEN-LINE:|7-commandAction|51|34-preAction
                // write pre-action user code here
                exitMIDlet();//GEN-LINE:|7-commandAction|52|34-postAction
                // write post-action user code here
            } else if (command == okCommand_main) {//GEN-LINE:|7-commandAction|53|313-preAction
                // write pre-action user code here
                if (main.getSelectedIndex()==0) {
                    resetForm_add();    //reseteamos formulario por si no se ha reseteado antes
                    switchDisplayable(null, getForm_add());
                }
                else if (main.getSelectedIndex()==1) {
                    switchDisplayable(null, getForm_view());
                }
                else if (main.getSelectedIndex()==2) {
                    resetForm_edit();
                    if (choiceGroup_edit != null) {
                        choiceGroup_edit = null;
                    }
                    switchDisplayable(null, getForm_edit());
                }
                else if (main.getSelectedIndex()==3)
                    switchDisplayable(null, getForm_del());
                else if (main.getSelectedIndex()==4)
                    switchDisplayable(null, getTransfer());
                else if (main.getSelectedIndex()==5)
                    switchDisplayable(null, getSettings());
//GEN-LINE:|7-commandAction|54|313-postAction
                // write post-action user code here
                main.setSelectedIndex(0, true);
            }//GEN-BEGIN:|7-commandAction|55|141-preAction
        } else if (displayable == settings) {
            if (command == List.SELECT_COMMAND) {//GEN-END:|7-commandAction|55|141-preAction
                // write pre-action user code here
                settingsAction();//GEN-LINE:|7-commandAction|56|141-postAction
                // write post-action user code here
            } else if (command == backCommand_config) {//GEN-LINE:|7-commandAction|57|171-preAction
                // write pre-action user code here
                switchDisplayable(null, getMain());//GEN-LINE:|7-commandAction|58|171-postAction
                // write post-action user code here
            } else if (command == okCommand_config) {//GEN-LINE:|7-commandAction|59|388-preAction
                // write pre-action user code here
                if (settings.getSelectedIndex()==0)
                    switchDisplayable(null, getForm_settings());
                else if (settings.getSelectedIndex()==1)
                    //pero antes hay que modificar todos los registros del fichero...
                    switchDisplayable(null, getMain());
//GEN-LINE:|7-commandAction|60|388-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|61|360-preAction
        } else if (displayable == textBox_add) {
            if (command == okCommand_textBox_add) {//GEN-END:|7-commandAction|61|360-preAction
                // write pre-action user code here
                switchDisplayable(null, getBucle_add());//GEN-LINE:|7-commandAction|62|360-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|63|446-preAction
        } else if (displayable == textBox_del) {
            if (command == backCommand_textBox_del) {//GEN-END:|7-commandAction|63|446-preAction
                // write pre-action user code here
                //si se retrocede, se resetean estas variables para poder seleccionar otro registro
                str_del = null;
                textBox_del.setString("");
                textBox_del = null;
                switchDisplayable(null, getForm_del());//GEN-LINE:|7-commandAction|64|446-postAction
                // write post-action user code here
            } else if (command == okCommand_textBox_del) {//GEN-LINE:|7-commandAction|65|442-preAction
                // write pre-action user code here
                try {//se borra el elemento seleccionado para borrar, y si no hay ninguno se vuelve al menú
                    vjson_del.removeElementAt(choiceGroup_del.getSelectedIndex());
                    vjson_edit = vjson_view = vjson_del;
                    saveData sd_del = new saveData();                 //declaramos el objeto saveData
                    sd_del.saveData(f_rec, vjson_del, true);          //sobrescribimos eliminados.txt
                }
                catch (java.lang.ArrayIndexOutOfBoundsException e) {
                    textBox_del.setString(e.toString());
                }
                catch (Exception e) {
                    textBox_del.setString(e.toString());
                }
                resetForm_del();
                choiceGroup_del = choiceGroup_edit = choiceGroup_view = null;
                switchDisplayable(null, getMain());//GEN-LINE:|7-commandAction|66|442-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|67|454-preAction
        } else if (displayable == textBox_edit) {
            if (command == backCommand_textBox_edit) {//GEN-END:|7-commandAction|67|454-preAction
                // write pre-action user code here
                textBox_edit = null;
                switchDisplayable(null, getForm_edit());//GEN-LINE:|7-commandAction|68|454-postAction
                // write post-action user code here
            } else if (command == okCommand_textBox_edit) {//GEN-LINE:|7-commandAction|69|452-preAction
                // write pre-action user code here
                switchDisplayable(null, getForm_edit_select_symptom());//GEN-LINE:|7-commandAction|70|452-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|71|499-preAction
        } else if (displayable == textBox_upload_Base) {
            if (command == okCommand_upload_Base) {//GEN-END:|7-commandAction|71|499-preAction
                // write pre-action user code here
                switchDisplayable(null, getMain());//GEN-LINE:|7-commandAction|72|499-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|73|487-preAction
        } else if (displayable == textBox_upload_HQ) {
            if (command == okCommand_upload_HQ) {//GEN-END:|7-commandAction|73|487-preAction
                // write pre-action user code here
                switchDisplayable(null, getMain());//GEN-LINE:|7-commandAction|74|487-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|75|501-preAction
        } else if (displayable == textBox_upload_SD) {
            if (command == okCommand_upload_SD) {//GEN-END:|7-commandAction|75|501-preAction
                // write pre-action user code here
                switchDisplayable(null, getMain());//GEN-LINE:|7-commandAction|76|501-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|77|385-preAction
        } else if (displayable == textBox_view) {
            if (command == backCommand_textBox_view) {//GEN-END:|7-commandAction|77|385-preAction
                // write pre-action user code here
                switchDisplayable(null, getForm_view());//GEN-LINE:|7-commandAction|78|385-postAction
                // write post-action user code here
                textBox_view = null;
                str_view = "";
            } else if (command == okCommand_textBox_view) {//GEN-LINE:|7-commandAction|79|382-preAction
                // write pre-action user code here
                switchDisplayable(null, getMain());//GEN-LINE:|7-commandAction|80|382-postAction
                // write post-action user code here
                textBox_view = null;
                str_view = "";
            }//GEN-BEGIN:|7-commandAction|81|506-preAction
        } else if (displayable == waitScreen_Base) {
            if (command == WaitScreen.FAILURE_COMMAND) {//GEN-END:|7-commandAction|81|506-preAction
                // write pre-action user code here
//GEN-LINE:|7-commandAction|82|506-postAction
                // write post-action user code here
            } else if (command == WaitScreen.SUCCESS_COMMAND) {//GEN-LINE:|7-commandAction|83|505-preAction
                // write pre-action user code here
                switchDisplayable(null, getTextBox_upload_Base());//GEN-LINE:|7-commandAction|84|505-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|85|493-preAction
        } else if (displayable == waitScreen_HQ) {
            if (command == WaitScreen.FAILURE_COMMAND) {//GEN-END:|7-commandAction|85|493-preAction
                // write pre-action user code here
//GEN-LINE:|7-commandAction|86|493-postAction
                // write post-action user code here
            } else if (command == WaitScreen.SUCCESS_COMMAND) {//GEN-LINE:|7-commandAction|87|492-preAction
                // write pre-action user code here
                switchDisplayable(null, getTextBox_upload_HQ());//GEN-LINE:|7-commandAction|88|492-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|89|510-preAction
        } else if (displayable == waitScreen_SD) {
            if (command == WaitScreen.FAILURE_COMMAND) {//GEN-END:|7-commandAction|89|510-preAction
                // write pre-action user code here
//GEN-LINE:|7-commandAction|90|510-postAction
                // write post-action user code here
            } else if (command == WaitScreen.SUCCESS_COMMAND) {//GEN-LINE:|7-commandAction|91|509-preAction
                // write pre-action user code here
                switchDisplayable(null, getTextBox_upload_SD());//GEN-LINE:|7-commandAction|92|509-postAction
                // write post-action user code here
            }//GEN-BEGIN:|7-commandAction|93|7-postCommandAction
        }//GEN-END:|7-commandAction|93|7-postCommandAction
        // write post-action user code here
    }//GEN-BEGIN:|7-commandAction|94|
    //</editor-fold>//GEN-END:|7-commandAction|94|


    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: main ">//GEN-BEGIN:|25-getter|0|25-preInit
    /**
     * Returns an initiliazed instance of main component.
     * @return the initialized component instance
     */
    public List getMain() {
        if (main == null) {//GEN-END:|25-getter|0|25-preInit
            // write pre-init user code here
            main = new List("Men\u00FA", Choice.IMPLICIT);//GEN-BEGIN:|25-getter|1|25-postInit
            main.append("Nuevo registro diario", null);
            main.append("Ver registro diario", null);
            main.append("Editar registro diario", null);
            main.append("Eliminar registro diario", null);
            main.append("Transferencia de datos", null);
            main.append("Configuraci\u00F3n", null);
            main.addCommand(getExitCommand_main());
            main.addCommand(getOkCommand_main());
            main.setCommandListener(this);
            main.setFitPolicy(Choice.TEXT_WRAP_DEFAULT);
            main.setSelectedFlags(new boolean[] { false, false, false, false, false, false });//GEN-END:|25-getter|1|25-postInit
            // write post-init user code here
        }//GEN-BEGIN:|25-getter|2|
        return main;
    }
    //</editor-fold>//GEN-END:|25-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Method: mainAction ">//GEN-BEGIN:|25-action|0|25-preAction
    /**
     * Performs an action assigned to the selected list element in the main component.
     */
    public void mainAction() {//GEN-END:|25-action|0|25-preAction
        // enter pre-action user code here
        String __selectedString = getMain().getString(getMain().getSelectedIndex());//GEN-BEGIN:|25-action|1|29-preAction
        if (__selectedString != null) {
            if (__selectedString.equals("Nuevo registro diario")) {//GEN-END:|25-action|1|29-preAction
                // write pre-action user code here
                resetForm_add();    //reseteamos formulario por si no se ha reseteado antes
                switchDisplayable(null, getForm_add());//GEN-LINE:|25-action|2|29-postAction
                // write post-action user code here
            } else if (__selectedString.equals("Ver registro diario")) {//GEN-LINE:|25-action|3|41-preAction
                // write pre-action user code here
                if (choiceGroup_view != null) {
                    choiceGroup_view = null;
                }
                switchDisplayable(null, getForm_view());//GEN-LINE:|25-action|4|41-postAction
                // write post-action user code here
            } else if (__selectedString.equals("Editar registro diario")) {//GEN-LINE:|25-action|5|30-preAction
                // write pre-action user code here
                resetForm_edit();
                if (choiceGroup_edit != null) {
                    choiceGroup_edit = null;
                }
                switchDisplayable(null, getForm_edit());//GEN-LINE:|25-action|6|30-postAction
                // write post-action user code here
            } else if (__selectedString.equals("Eliminar registro diario")) {//GEN-LINE:|25-action|7|31-preAction
                // write pre-action user code here
                switchDisplayable(null, getForm_del());//GEN-LINE:|25-action|8|31-postAction
                // write post-action user code here
            } else if (__selectedString.equals("Transferencia de datos")) {//GEN-LINE:|25-action|9|32-preAction
                // write pre-action user code here
                switchDisplayable(null, getTransfer());//GEN-LINE:|25-action|10|32-postAction
                // write post-action user code here
            } else if (__selectedString.equals("Configuraci\u00F3n")) {//GEN-LINE:|25-action|11|118-preAction
                // write pre-action user code here
                switchDisplayable(null, getSettings());//GEN-LINE:|25-action|12|118-postAction
                // write post-action user code here
            }//GEN-BEGIN:|25-action|13|25-postAction
        }//GEN-END:|25-action|13|25-postAction
        // enter post-action user code here
    }//GEN-BEGIN:|25-action|14|
    //</editor-fold>//GEN-END:|25-action|14|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: exitCommand_main ">//GEN-BEGIN:|33-getter|0|33-preInit
    /**
     * Returns an initiliazed instance of exitCommand_main component.
     * @return the initialized component instance
     */
    public Command getExitCommand_main() {
        if (exitCommand_main == null) {//GEN-END:|33-getter|0|33-preInit
            // write pre-init user code here
            exitCommand_main = new Command("Exit", Command.EXIT, 0);//GEN-LINE:|33-getter|1|33-postInit
            // write post-init user code here
        }//GEN-BEGIN:|33-getter|2|
        return exitCommand_main;
    }
    //</editor-fold>//GEN-END:|33-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: form_add ">//GEN-BEGIN:|45-getter|0|45-preInit
    /**
     * Returns an initiliazed instance of form_add component.
     * @return the initialized component instance
     */
    public Form getForm_add() {
        if (form_add == null) {//GEN-END:|45-getter|0|45-preInit
            // write pre-init user code here
            //inicializamos registro diario a 0
            data = new String[4][number_of_diseases];
            for (int i = 0; i < 4; i++)
                for (int j = 0; j < number_of_diseases; j++)
                        data[i][j] = "0";
            form_add = new Form("Nuevo registro diario", new Item[] { getDateField_add() });//GEN-BEGIN:|45-getter|1|45-postInit
            form_add.addCommand(getOkCommand_add());
            form_add.addCommand(getBackCommand_add());
            form_add.setCommandListener(this);//GEN-END:|45-getter|1|45-postInit
            // write post-init user code here
        }//GEN-BEGIN:|45-getter|2|
        return form_add;
    }
    //</editor-fold>//GEN-END:|45-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: dateField_add ">//GEN-BEGIN:|47-getter|0|47-preInit
    /**
     * Returns an initiliazed instance of dateField_add component.
     * @return the initialized component instance
     */
    public DateField getDateField_add() {
        if (dateField_add == null) {//GEN-END:|47-getter|0|47-preInit
            // write pre-init user code here
            dateField_add = new DateField("Elegir fecha", DateField.DATE);//GEN-BEGIN:|47-getter|1|47-postInit
            dateField_add.setDate(new java.util.Date(System.currentTimeMillis()));//GEN-END:|47-getter|1|47-postInit
            // write post-init user code here
        }//GEN-BEGIN:|47-getter|2|
        return dateField_add;
    }
    //</editor-fold>//GEN-END:|47-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: form_view ">//GEN-BEGIN:|56-getter|0|56-preInit
    /**
     * Returns an initiliazed instance of form_view component.
     * @return the initialized component instance
     */
    public Form getForm_view() {
        if (form_view == null) {//GEN-END:|56-getter|0|56-preInit
            // write pre-init user code here
            //se accede a los json guardados en fichero
            gjson_view = new getJSON(f_rec);
            if (jsons == null)
                jsons = gjson_view.jsons();
            form_view = new Form("Ver registro diario", new Item[] { getChoiceGroup_view() });//GEN-BEGIN:|56-getter|1|56-postInit
            form_view.addCommand(getOkCommand_view());
            form_view.addCommand(getBackCommand_view());
            form_view.setCommandListener(this);//GEN-END:|56-getter|1|56-postInit
            // write post-init user code here
        }//GEN-BEGIN:|56-getter|2|
        return form_view;
    }
    //</editor-fold>//GEN-END:|56-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: form_edit ">//GEN-BEGIN:|60-getter|0|60-preInit
    /**
     * Returns an initiliazed instance of form_edit component.
     * @return the initialized component instance
     */
    public Form getForm_edit() {
        if (form_edit == null) {//GEN-END:|60-getter|0|60-preInit
            // write pre-init user code here
            form_edit = new Form("Editar registro diario", new Item[] { getChoiceGroup_edit() });//GEN-BEGIN:|60-getter|1|60-postInit
            form_edit.addCommand(getOkCommand_edit());
            form_edit.addCommand(getBackCommand_edit());
            form_edit.setCommandListener(this);//GEN-END:|60-getter|1|60-postInit
            // write post-init user code here
        }//GEN-BEGIN:|60-getter|2|
        return form_edit;
    }
    //</editor-fold>//GEN-END:|60-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_main ">//GEN-BEGIN:|66-getter|0|66-preInit
    /**
     * Returns an initiliazed instance of okCommand_main component.
     * @return the initialized component instance
     */
    public Command getOkCommand_main() {
        if (okCommand_main == null) {//GEN-END:|66-getter|0|66-preInit
            // write pre-init user code here
            okCommand_main = new Command("Ok", Command.OK, 0);//GEN-LINE:|66-getter|1|66-postInit
            // write post-init user code here
        }//GEN-BEGIN:|66-getter|2|
        return okCommand_main;
    }
    //</editor-fold>//GEN-END:|66-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_add ">//GEN-BEGIN:|70-getter|0|70-preInit
    /**
     * Returns an initiliazed instance of okCommand_add component.
     * @return the initialized component instance
     */
    public Command getOkCommand_add() {
        if (okCommand_add == null) {//GEN-END:|70-getter|0|70-preInit
            // write pre-init user code here
            okCommand_add = new Command("Ok", Command.OK, 0);//GEN-LINE:|70-getter|1|70-postInit
            // write post-init user code here
        }//GEN-BEGIN:|70-getter|2|
        return okCommand_add;
    }
    //</editor-fold>//GEN-END:|70-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_view ">//GEN-BEGIN:|74-getter|0|74-preInit
    /**
     * Returns an initiliazed instance of backCommand_view component.
     * @return the initialized component instance
     */
    public Command getBackCommand_view() {
        if (backCommand_view == null) {//GEN-END:|74-getter|0|74-preInit
            // write pre-init user code here
            backCommand_view = new Command("Back", Command.BACK, 0);//GEN-LINE:|74-getter|1|74-postInit
            // write post-init user code here
        }//GEN-BEGIN:|74-getter|2|
        return backCommand_view;
    }
    //</editor-fold>//GEN-END:|74-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_add ">//GEN-BEGIN:|76-getter|0|76-preInit
    /**
     * Returns an initiliazed instance of backCommand_add component.
     * @return the initialized component instance
     */
    public Command getBackCommand_add() {
        if (backCommand_add == null) {//GEN-END:|76-getter|0|76-preInit
            // write pre-init user code here
            backCommand_add = new Command("Back", Command.BACK, 0);//GEN-LINE:|76-getter|1|76-postInit
            // write post-init user code here
        }//GEN-BEGIN:|76-getter|2|
        return backCommand_add;
    }
    //</editor-fold>//GEN-END:|76-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_edit ">//GEN-BEGIN:|78-getter|0|78-preInit
    /**
     * Returns an initiliazed instance of okCommand_edit component.
     * @return the initialized component instance
     */
    public Command getOkCommand_edit() {
        if (okCommand_edit == null) {//GEN-END:|78-getter|0|78-preInit
            // write pre-init user code here
            okCommand_edit = new Command("Ok", Command.OK, 0);//GEN-LINE:|78-getter|1|78-postInit
            // write post-init user code here
        }//GEN-BEGIN:|78-getter|2|
        return okCommand_edit;
    }
    //</editor-fold>//GEN-END:|78-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_edit ">//GEN-BEGIN:|80-getter|0|80-preInit
    /**
     * Returns an initiliazed instance of backCommand_edit component.
     * @return the initialized component instance
     */
    public Command getBackCommand_edit() {
        if (backCommand_edit == null) {//GEN-END:|80-getter|0|80-preInit
            // write pre-init user code here
            backCommand_edit = new Command("Back", Command.BACK, 0);//GEN-LINE:|80-getter|1|80-postInit
            // write post-init user code here
        }//GEN-BEGIN:|80-getter|2|
        return backCommand_edit;
    }
    //</editor-fold>//GEN-END:|80-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: Transfer ">//GEN-BEGIN:|107-getter|0|107-preInit
    /**
     * Returns an initiliazed instance of Transfer component.
     * @return the initialized component instance
     */
    public List getTransfer() {
        if (Transfer == null) {//GEN-END:|107-getter|0|107-preInit
            // write pre-init user code here
            Transfer = new List("Transferencia de registros", Choice.IMPLICIT);//GEN-BEGIN:|107-getter|1|107-postInit
            Transfer.append("Transferir con HQ", null);
            Transfer.append("Transferir a tarjeta de memoria", null);
            Transfer.append("Transferir con base", null);
            Transfer.addCommand(getOkCommand_transfer());
            Transfer.addCommand(getBackCommand_transfer());
            Transfer.setCommandListener(this);
            Transfer.setSelectedFlags(new boolean[] { false, false, false });//GEN-END:|107-getter|1|107-postInit
            // write post-init user code here
        }//GEN-BEGIN:|107-getter|2|
        return Transfer;
    }
    //</editor-fold>//GEN-END:|107-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Method: TransferAction ">//GEN-BEGIN:|107-action|0|107-preAction
    /**
     * Performs an action assigned to the selected list element in the Transfer component.
     */
    public void TransferAction() {//GEN-END:|107-action|0|107-preAction
        // enter pre-action user code here
        String __selectedString = getTransfer().getString(getTransfer().getSelectedIndex());//GEN-BEGIN:|107-action|1|115-preAction
        if (__selectedString != null) {
            if (__selectedString.equals("Transferir con HQ")) {//GEN-END:|107-action|1|115-preAction
                // write pre-action user code here
                switchDisplayable(null, getWaitScreen_HQ());//GEN-LINE:|107-action|2|115-postAction
                // write post-action user code here
            } else if (__selectedString.equals("Transferir a tarjeta de memoria")) {//GEN-LINE:|107-action|3|117-preAction
                // write pre-action user code here
                /*
switchDisplayable (null, getWaitScreen_SD ());//GEN-LINE:|107-action|4|117-postAction
                */
                // write post-action user code here
            } else if (__selectedString.equals("Transferir con base")) {//GEN-LINE:|107-action|5|114-preAction
                // write pre-action user code here
                /*
switchDisplayable (null, getWaitScreen_Base ());//GEN-LINE:|107-action|6|114-postAction
                */
                // write post-action user code here
            }//GEN-BEGIN:|107-action|7|107-postAction
        }//GEN-END:|107-action|7|107-postAction
        // enter post-action user code here
    }//GEN-BEGIN:|107-action|8|
    //</editor-fold>//GEN-END:|107-action|8|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_transfer ">//GEN-BEGIN:|112-getter|0|112-preInit
    /**
     * Returns an initiliazed instance of backCommand_transfer component.
     * @return the initialized component instance
     */
    public Command getBackCommand_transfer() {
        if (backCommand_transfer == null) {//GEN-END:|112-getter|0|112-preInit
            // write pre-init user code here
            backCommand_transfer = new Command("Back", Command.BACK, 0);//GEN-LINE:|112-getter|1|112-postInit
            // write post-init user code here
        }//GEN-BEGIN:|112-getter|2|
        return backCommand_transfer;
    }
    //</editor-fold>//GEN-END:|112-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: settings ">//GEN-BEGIN:|140-getter|0|140-preInit
    /**
     * Returns an initiliazed instance of settings component.
     * @return the initialized component instance
     */
    public List getSettings() {
        if (settings == null) {//GEN-END:|140-getter|0|140-preInit
            // write pre-init user code here
            settings = new List("Settings", Choice.IMPLICIT);//GEN-BEGIN:|140-getter|1|140-postInit
            settings.append("Ajustes de dispositivo", null);
            settings.append("Aplicar ajustes a datos almacenados", null);
            settings.addCommand(getOkCommand_config());
            settings.addCommand(getBackCommand_config());
            settings.setCommandListener(this);
            settings.setSelectedFlags(new boolean[] { false, false });//GEN-END:|140-getter|1|140-postInit
            // write post-init user code here
        }//GEN-BEGIN:|140-getter|2|
        return settings;
    }
    //</editor-fold>//GEN-END:|140-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Method: settingsAction ">//GEN-BEGIN:|140-action|0|140-preAction
    /**
     * Performs an action assigned to the selected list element in the settings component.
     */
    public void settingsAction() {//GEN-END:|140-action|0|140-preAction
        // enter pre-action user code here
        String __selectedString = getSettings().getString(getSettings().getSelectedIndex());//GEN-BEGIN:|140-action|1|144-preAction
        if (__selectedString != null) {
            if (__selectedString.equals("Ajustes de dispositivo")) {//GEN-END:|140-action|1|144-preAction
                // write pre-action user code here
                switchDisplayable(null, getForm_settings());//GEN-LINE:|140-action|2|144-postAction
                // write post-action user code here
            } else if (__selectedString.equals("Aplicar ajustes a datos almacenados")) {//GEN-LINE:|140-action|3|143-preAction
                // write pre-action user code here
                switchDisplayable(null, getMain());//GEN-LINE:|140-action|4|143-postAction
                // write post-action user code here
            }//GEN-BEGIN:|140-action|5|140-postAction
        }//GEN-END:|140-action|5|140-postAction
        // enter post-action user code here
    }//GEN-BEGIN:|140-action|6|
    //</editor-fold>//GEN-END:|140-action|6|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_config ">//GEN-BEGIN:|170-getter|0|170-preInit
    /**
     * Returns an initiliazed instance of backCommand_config component.
     * @return the initialized component instance
     */
    public Command getBackCommand_config() {
        if (backCommand_config == null) {//GEN-END:|170-getter|0|170-preInit
            // write pre-init user code here
            backCommand_config = new Command("Back", Command.BACK, 0);//GEN-LINE:|170-getter|1|170-postInit
            // write post-init user code here
        }//GEN-BEGIN:|170-getter|2|
        return backCommand_config;
    }
    //</editor-fold>//GEN-END:|170-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: choiceGroup_symptom ">//GEN-BEGIN:|225-getter|0|225-preInit
    /**
     * Returns an initiliazed instance of choiceGroup_symptom component.
     * @return the initialized component instance
     */
    public ChoiceGroup getChoiceGroup_symptom() {
        if (choiceGroup_symptom == null) {//GEN-END:|225-getter|0|225-preInit
            // write pre-init user code here
            //aquí generamos la lista de síntomas en función al fichero de configuración
            choiceGroup_symptom = new ChoiceGroup("choiceGroup", Choice.EXCLUSIVE);
            for (int i=0;i<number_of_diseases;i++) {
                choiceGroup_symptom.append(diseases[i], null);
            }
            for (int i=0;i<number_of_diseases;i++) {
                choiceGroup_symptom.setFont(i, null);
            }
            choiceGroup_symptom.setFitPolicy(Choice.TEXT_WRAP_DEFAULT);
            booleano = new boolean[number_of_diseases];
            for (int i=0;i<number_of_diseases;i++) {
                booleano[i] = false;
            }
            choiceGroup_symptom.setSelectedFlags(booleano);
/* código generado por NetBeans
choiceGroup_symptom = new ChoiceGroup ("Seleccione s\u00EDntoma", Choice.EXCLUSIVE);//GEN-BEGIN:|225-getter|1|225-postInit
choiceGroup_symptom.append ("Choice Element 1", null);
choiceGroup_symptom.setLayout (ImageItem.LAYOUT_DEFAULT);
choiceGroup_symptom.setFitPolicy (Choice.TEXT_WRAP_DEFAULT);
choiceGroup_symptom.setSelectedFlags (new boolean[] { false });//GEN-END:|225-getter|1|225-postInit
*/            // write post-init user code here*/
        }//GEN-BEGIN:|225-getter|2|
        return choiceGroup_symptom;
    }
    //</editor-fold>//GEN-END:|225-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_select_symptom ">//GEN-BEGIN:|229-getter|0|229-preInit
    /**
     * Returns an initiliazed instance of backCommand_select_symptom component.
     * @return the initialized component instance
     */
    public Command getBackCommand_select_symptom() {
        if (backCommand_select_symptom == null) {//GEN-END:|229-getter|0|229-preInit
            // write pre-init user code here
            backCommand_select_symptom = new Command("Back", Command.BACK, 0);//GEN-LINE:|229-getter|1|229-postInit
            // write post-init user code here
        }//GEN-BEGIN:|229-getter|2|
        return backCommand_select_symptom;
    }
    //</editor-fold>//GEN-END:|229-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: form_add_number ">//GEN-BEGIN:|253-getter|0|253-preInit
    /**
     * Returns an initiliazed instance of form_add_number component.
     * @return the initialized component instance
     */
    public Form getForm_add_number() {
        if (form_add_number == null) {//GEN-END:|253-getter|0|253-preInit
            // write pre-init user code here
            form_add_number = new Form("Introduzca el n\u00FAmero de casos:", new Item[] { getTextField_mu5(), getTextField_mo5(), getTextField_fu5(), getTextField_fo5() });//GEN-BEGIN:|253-getter|1|253-postInit
            form_add_number.addCommand(getOkCommand_number());
            form_add_number.addCommand(getBackCommand_number());
            form_add_number.setCommandListener(this);//GEN-END:|253-getter|1|253-postInit
            // write post-init user code here
        }//GEN-BEGIN:|253-getter|2|
        return form_add_number;
    }
    //</editor-fold>//GEN-END:|253-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textField_mu5 ">//GEN-BEGIN:|254-getter|0|254-preInit
    /**
     * Returns an initiliazed instance of textField_mu5 component.
     * @return the initialized component instance
     */
    public TextField getTextField_mu5() {
        if (textField_mu5 == null) {//GEN-END:|254-getter|0|254-preInit
            // write pre-init user code here
            textField_mu5 = new TextField("Male under 5 years", null, 32, TextField.NUMERIC);//GEN-LINE:|254-getter|1|254-postInit
            // write post-init user code here
        }//GEN-BEGIN:|254-getter|2|
        return textField_mu5;
    }
    //</editor-fold>//GEN-END:|254-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_number ">//GEN-BEGIN:|255-getter|0|255-preInit
    /**
     * Returns an initiliazed instance of okCommand_number component.
     * @return the initialized component instance
     */
    public Command getOkCommand_number() {
        if (okCommand_number == null) {//GEN-END:|255-getter|0|255-preInit
            // write pre-init user code here
            okCommand_number = new Command("Ok", Command.OK, 0);//GEN-LINE:|255-getter|1|255-postInit
            // write post-init user code here
        }//GEN-BEGIN:|255-getter|2|
        return okCommand_number;
    }
    //</editor-fold>//GEN-END:|255-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_select_symptom ">//GEN-BEGIN:|291-getter|0|291-preInit
    /**
     * Returns an initiliazed instance of okCommand_select_symptom component.
     * @return the initialized component instance
     */
    public Command getOkCommand_select_symptom() {
        if (okCommand_select_symptom == null) {//GEN-END:|291-getter|0|291-preInit
            // write pre-init user code here
            okCommand_select_symptom = new Command("Ok", Command.OK, 0);//GEN-LINE:|291-getter|1|291-postInit
            // write post-init user code here
        }//GEN-BEGIN:|291-getter|2|
        return okCommand_select_symptom;
    }
    //</editor-fold>//GEN-END:|291-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textField_mo5 ">//GEN-BEGIN:|314-getter|0|314-preInit
    /**
     * Returns an initiliazed instance of textField_mo5 component.
     * @return the initialized component instance
     */
    public TextField getTextField_mo5() {
        if (textField_mo5 == null) {//GEN-END:|314-getter|0|314-preInit
            // write pre-init user code here
            textField_mo5 = new TextField("Male over 5 years", null, 32, TextField.NUMERIC);//GEN-LINE:|314-getter|1|314-postInit
            // write post-init user code here
        }//GEN-BEGIN:|314-getter|2|
        return textField_mo5;
    }
    //</editor-fold>//GEN-END:|314-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textField_fu5 ">//GEN-BEGIN:|315-getter|0|315-preInit
    /**
     * Returns an initiliazed instance of textField_fu5 component.
     * @return the initialized component instance
     */
    public TextField getTextField_fu5() {
        if (textField_fu5 == null) {//GEN-END:|315-getter|0|315-preInit
            // write pre-init user code here
            textField_fu5 = new TextField("Female under 5 years", null, 32, TextField.NUMERIC);//GEN-LINE:|315-getter|1|315-postInit
            // write post-init user code here
        }//GEN-BEGIN:|315-getter|2|
        return textField_fu5;
    }
    //</editor-fold>//GEN-END:|315-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textField_fo5 ">//GEN-BEGIN:|316-getter|0|316-preInit
    /**
     * Returns an initiliazed instance of textField_fo5 component.
     * @return the initialized component instance
     */
    public TextField getTextField_fo5() {
        if (textField_fo5 == null) {//GEN-END:|316-getter|0|316-preInit
            // write pre-init user code here
            textField_fo5 = new TextField("Female over 5 years", null, 32, TextField.NUMERIC);//GEN-LINE:|316-getter|1|316-postInit
            // write post-init user code here
        }//GEN-BEGIN:|316-getter|2|
        return textField_fo5;
    }
    //</editor-fold>//GEN-END:|316-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_number ">//GEN-BEGIN:|333-getter|0|333-preInit
    /**
     * Returns an initiliazed instance of backCommand_number component.
     * @return the initialized component instance
     */
    public Command getBackCommand_number() {
        if (backCommand_number == null) {//GEN-END:|333-getter|0|333-preInit
            // write pre-init user code here
            backCommand_number = new Command("Back", Command.BACK, 0);//GEN-LINE:|333-getter|1|333-postInit
            // write post-init user code here
        }//GEN-BEGIN:|333-getter|2|
        return backCommand_number;
    }
    //</editor-fold>//GEN-END:|333-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textBox_add ">//GEN-BEGIN:|351-getter|0|351-preInit
    /**
     * Returns an initiliazed instance of textBox_add component.
     * @return the initialized component instance
     */
    public TextBox getTextBox_add() {
        if (textBox_add == null) {//GEN-END:|351-getter|0|351-preInit
            // write pre-init user code here
            //guarda en las variables los datos recogidos en el formulario
            if (data == null) {
                data = new String[4][number_of_diseases];
                for (int i = 0; i < 4; i++)
                    for (int j = 0; j < number_of_diseases; j++)
                        data[i][j] = "0";
            }
            date_add = generaDate(dateField_add.getDate());//guarda en date_add la fecha introducida
            disease = choiceGroup_symptom.getSelectedIndex();//guarda el síntoma seleccionado
            if (textField_mu5.getString().compareTo("") != 0)
                data[0][disease] = textField_mu5.getString();
            if (textField_mo5.getString().compareTo("") != 0)
                data[1][disease] = textField_mo5.getString();
            if (textField_fu5.getString().compareTo("") != 0)
                data[2][disease] = textField_fu5.getString();
            if (textField_fo5.getString().compareTo("") != 0)
                data[3][disease] = textField_fo5.getString();
            //genera "veamos": string que se representa en el textbox siguiente
            veamos = "Date: "+date_add+"\n";
            for (int i=0;i<4;i++) {
                if (i == 0)
                    veamos += "Male under 5:\n";
                else if (i == 1)
                    veamos += "Male over 5:\n";
                else if (i == 2)
                    veamos += "Female under 5:\n";
                else if (i == 3)
                    veamos += "Female over 5:\n";
                for (int j=0;j<number_of_diseases;j++) {
                    veamos += data[i][j]+", ";
                }
                veamos += "\n";
            }
            textBox_add = new TextBox("Registro generado", veamos, 1000, TextField.ANY | TextField.UNEDITABLE);//GEN-BEGIN:|351-getter|1|351-postInit
            textBox_add.addCommand(getOkCommand_textBox_add());
            textBox_add.setCommandListener(this);//GEN-END:|351-getter|1|351-postInit
            // write post-init user code here
        }//GEN-BEGIN:|351-getter|2|
        return textBox_add;
    }
    //</editor-fold>//GEN-END:|351-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_textBox_add ">//GEN-BEGIN:|359-getter|0|359-preInit
    /**
     * Returns an initiliazed instance of okCommand_textBox_add component.
     * @return the initialized component instance
     */
    public Command getOkCommand_textBox_add() {
        if (okCommand_textBox_add == null) {//GEN-END:|359-getter|0|359-preInit
            // write pre-init user code here
            okCommand_textBox_add = new Command("Ok", Command.OK, 0);//GEN-LINE:|359-getter|1|359-postInit
            // write post-init user code here
        }//GEN-BEGIN:|359-getter|2|
        return okCommand_textBox_add;
    }
    //</editor-fold>//GEN-END:|359-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: form_add_select_symptom ">//GEN-BEGIN:|221-getter|0|221-preInit
    /**
     * Returns an initiliazed instance of form_add_select_symptom component.
     * @return the initialized component instance
     */
    public Form getForm_add_select_symptom() {
        if (form_add_select_symptom == null) {//GEN-END:|221-getter|0|221-preInit
            // write pre-init user code here
            form_add_select_symptom = new Form("A\u00F1adir registro", new Item[] { getChoiceGroup_symptom() });//GEN-BEGIN:|221-getter|1|221-postInit
            form_add_select_symptom.addCommand(getOkCommand_select_symptom());
            form_add_select_symptom.addCommand(getBackCommand_select_symptom());
            form_add_select_symptom.setCommandListener(this);//GEN-END:|221-getter|1|221-postInit
            // write post-init user code here
        }//GEN-BEGIN:|221-getter|2|
        return form_add_select_symptom;
    }
    //</editor-fold>//GEN-END:|221-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_bucle_add ">//GEN-BEGIN:|364-getter|0|364-preInit
    /**
     * Returns an initiliazed instance of okCommand_bucle_add component.
     * @return the initialized component instance
     */
    public Command getOkCommand_bucle_add() {
        if (okCommand_bucle_add == null) {//GEN-END:|364-getter|0|364-preInit
            // write pre-init user code here
            okCommand_bucle_add = new Command("Ok", Command.OK, 0);//GEN-LINE:|364-getter|1|364-postInit
            // write post-init user code here
        }//GEN-BEGIN:|364-getter|2|
        return okCommand_bucle_add;
    }
    //</editor-fold>//GEN-END:|364-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: bucle_add ">//GEN-BEGIN:|368-getter|0|368-preInit
    /**
     * Returns an initiliazed instance of bucle_add component.
     * @return the initialized component instance
     */
    public List getBucle_add() {
        if (bucle_add == null) {//GEN-END:|368-getter|0|368-preInit
            // write pre-init user code here
            bucle_add = new List("Elija una opci\u00F3n:", Choice.IMPLICIT);//GEN-BEGIN:|368-getter|1|368-postInit
            bucle_add.append("A\u00F1adir m\u00E1s s\u00EDntomas del mismo d\u00EDa", null);
            bucle_add.append("Guardar y volver al Men\u00FA principal", null);
            bucle_add.addCommand(getOkCommand_bucle_add());
            bucle_add.setCommandListener(this);
            bucle_add.setSelectedFlags(new boolean[] { false, false });//GEN-END:|368-getter|1|368-postInit
            // write post-init user code here
        }//GEN-BEGIN:|368-getter|2|
        return bucle_add;
    }
    //</editor-fold>//GEN-END:|368-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Method: bucle_addAction ">//GEN-BEGIN:|368-action|0|368-preAction
    /**
     * Performs an action assigned to the selected list element in the bucle_add component.
     */
    public void bucle_addAction() {//GEN-END:|368-action|0|368-preAction
        // enter pre-action user code here
        String __selectedString = getBucle_add().getString(getBucle_add().getSelectedIndex());//GEN-BEGIN:|368-action|1|373-preAction
        if (__selectedString != null) {
            if (__selectedString.equals("A\u00F1adir m\u00E1s s\u00EDntomas del mismo d\u00EDa")) {//GEN-END:|368-action|1|373-preAction
                // write pre-action user code here
                resetForm_add();
                if (choiceGroup_symptom != null)
                    choiceGroup_symptom.setSelectedIndex(disease+1, true);
                switchDisplayable(null, getForm_add_select_symptom());//GEN-LINE:|368-action|2|373-postAction
                // write post-action user code here
            } else if (__selectedString.equals("Guardar y volver al Men\u00FA principal")) {//GEN-LINE:|368-action|3|374-preAction
                // write pre-action user code here
                stringjson = generaJSON();
                saveData sd = new saveData();
                exito = sd.saveData(f_rec, stringjson, false);
                data = null;
                vjson_del = vjson_edit = vjson_view = null;
                choiceGroup_del = choiceGroup_edit = choiceGroup_view = null;
                choiceGroup_symptom.setSelectedIndex(0, true);
                switchDisplayable(null, getMain());//GEN-LINE:|368-action|4|374-postAction
                // write post-action user code here
            }//GEN-BEGIN:|368-action|5|368-postAction
        }//GEN-END:|368-action|5|368-postAction
        // enter post-action user code here
    }//GEN-BEGIN:|368-action|6|
    //</editor-fold>//GEN-END:|368-action|6|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textBox_view ">//GEN-BEGIN:|379-getter|0|379-preInit
    /**
     * Returns an initiliazed instance of textBox_view component.
     * @return the initialized component instance
     */
    public TextBox getTextBox_view() {
        if (textBox_view == null) {//GEN-END:|379-getter|0|379-preInit
            // write pre-init user code here
            //muestra los datos del registro seleccionado para visualizar
            JSONArray arr_view_mu5 = new JSONArray();
            JSONArray arr_view_mo5 = new JSONArray();
            JSONArray arr_view_fu5 = new JSONArray();
            JSONArray arr_view_fo5 = new JSONArray();
            try {
                json_view = jObject[choiceGroup_view.getSelectedIndex()];
                arr_view_mu5 = json_view.getJSONArray("mu5");
                arr_view_mo5 = json_view.getJSONArray("mo5");
                arr_view_fu5 = json_view.getJSONArray("fu5");
                arr_view_fo5 = json_view.getJSONArray("fo5");
                date_view = json_view.getString("date");

                //genera "str_view": string que se representa en el textbox siguiente
                str_view = "Date: "+date_view+"\n";
                for (int i=0; i<4; i++) {
                    if (i == 0) {
                        str_view += "male under 5:\n";
                        for (int j=0; j<arr_view_mu5.length(); j++)
                            str_view += arr_view_mu5.getInt(j)+",";
                        str_view = str_view.substring(0, str_view.length()-1);//quitar última coma ,
                    }
                    else if (i == 1) {
                        str_view += "male over 5:\n";
                        for (int k=0; k<arr_view_mo5.length(); k++)
                            str_view += arr_view_mo5.getInt(k)+",";
                        str_view = str_view.substring(0, str_view.length()-1);//quitar última coma ,
                    }
                    else if (i == 2) {
                        str_view += "female under 5:\n";
                        for (int l=0; l<arr_view_fu5.length(); l++)
                            str_view += arr_view_fu5.getInt(l)+",";
                        str_view = str_view.substring(0, str_view.length()-1);//quitar última coma ,
                    }
                    else if (i == 3) {
                        str_view += "female over 5:\n";
                        for (int m=0; m<arr_view_fo5.length(); m++)
                            str_view += arr_view_fo5.getInt(m)+",";
                        str_view = str_view.substring(0, str_view.length()-1);//quitar última coma ,
                    }
                    str_view += "\n";
                }
            }
            catch (JSONException jse) {
                jse.printStackTrace();
            }
            catch (java.lang.ArrayIndexOutOfBoundsException e) {
                switchDisplayable(null, getMain());
            }

            textBox_view = new TextBox("Salida:", str_view, 10000, TextField.ANY | TextField.UNEDITABLE);//GEN-BEGIN:|379-getter|1|379-postInit
            textBox_view.addCommand(getOkCommand_textBox_view());
            textBox_view.addCommand(getBackCommand_textBox_view());
            textBox_view.setCommandListener(this);//GEN-END:|379-getter|1|379-postInit
            // write post-init user code here
        }//GEN-BEGIN:|379-getter|2|
        return textBox_view;
    }
    //</editor-fold>//GEN-END:|379-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_view ">//GEN-BEGIN:|377-getter|0|377-preInit
    /**
     * Returns an initiliazed instance of okCommand_view component.
     * @return the initialized component instance
     */
    public Command getOkCommand_view() {
        if (okCommand_view == null) {//GEN-END:|377-getter|0|377-preInit
            // write pre-init user code here
            okCommand_view = new Command("Ok", Command.OK, 0);//GEN-LINE:|377-getter|1|377-postInit
            // write post-init user code here
        }//GEN-BEGIN:|377-getter|2|
        return okCommand_view;
    }
    //</editor-fold>//GEN-END:|377-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_textBox_view ">//GEN-BEGIN:|381-getter|0|381-preInit
    /**
     * Returns an initiliazed instance of okCommand_textBox_view component.
     * @return the initialized component instance
     */
    public Command getOkCommand_textBox_view() {
        if (okCommand_textBox_view == null) {//GEN-END:|381-getter|0|381-preInit
            // write pre-init user code here
            okCommand_textBox_view = new Command("Ok", Command.OK, 0);//GEN-LINE:|381-getter|1|381-postInit
            // write post-init user code here
        }//GEN-BEGIN:|381-getter|2|
        return okCommand_textBox_view;
    }
    //</editor-fold>//GEN-END:|381-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_textBox_view ">//GEN-BEGIN:|384-getter|0|384-preInit
    /**
     * Returns an initiliazed instance of backCommand_textBox_view component.
     * @return the initialized component instance
     */
    public Command getBackCommand_textBox_view() {
        if (backCommand_textBox_view == null) {//GEN-END:|384-getter|0|384-preInit
            // write pre-init user code here
            backCommand_textBox_view = new Command("Back", Command.BACK, 0);//GEN-LINE:|384-getter|1|384-postInit
            // write post-init user code here
        }//GEN-BEGIN:|384-getter|2|
        return backCommand_textBox_view;
    }
    //</editor-fold>//GEN-END:|384-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_config ">//GEN-BEGIN:|387-getter|0|387-preInit
    /**
     * Returns an initiliazed instance of okCommand_config component.
     * @return the initialized component instance
     */
    public Command getOkCommand_config() {
        if (okCommand_config == null) {//GEN-END:|387-getter|0|387-preInit
            // write pre-init user code here
            okCommand_config = new Command("Ok", Command.OK, 0);//GEN-LINE:|387-getter|1|387-postInit
            // write post-init user code here
        }//GEN-BEGIN:|387-getter|2|
        return okCommand_config;
    }
    //</editor-fold>//GEN-END:|387-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: form_del ">//GEN-BEGIN:|408-getter|0|408-preInit
    /**
     * Returns an initiliazed instance of form_del component.
     * @return the initialized component instance
     */
    public Form getForm_del() {
        if (form_del == null) {//GEN-END:|408-getter|0|408-preInit
            // write pre-init user code here
            // Eliminar registro. Primero se cargan los registros del fichero
            // pero se visualizan sólo las fechas. La fecha elegida es el registro que se borrará
            // Se sobreescribirá el fichero con los strings restantes
            form_del = new Form("Eliminar registro diario", new Item[] { getChoiceGroup_del() });//GEN-BEGIN:|408-getter|1|408-postInit
            form_del.addCommand(getOkCommand_del());
            form_del.addCommand(getBackCommand_del());
            form_del.setCommandListener(this);//GEN-END:|408-getter|1|408-postInit
            // write post-init user code here
        }//GEN-BEGIN:|408-getter|2|
        return form_del;
    }
    //</editor-fold>//GEN-END:|408-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_del ">//GEN-BEGIN:|409-getter|0|409-preInit
    /**
     * Returns an initiliazed instance of backCommand_del component.
     * @return the initialized component instance
     */
    public Command getBackCommand_del() {
        if (backCommand_del == null) {//GEN-END:|409-getter|0|409-preInit
            // write pre-init user code here
            backCommand_del = new Command("Back", Command.BACK, 0);//GEN-LINE:|409-getter|1|409-postInit
            // write post-init user code here
        }//GEN-BEGIN:|409-getter|2|
        return backCommand_del;
    }
    //</editor-fold>//GEN-END:|409-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_del ">//GEN-BEGIN:|411-getter|0|411-preInit
    /**
     * Returns an initiliazed instance of okCommand_del component.
     * @return the initialized component instance
     */
    public Command getOkCommand_del() {
        if (okCommand_del == null) {//GEN-END:|411-getter|0|411-preInit
            // write pre-init user code here
            okCommand_del = new Command("Ok", Command.OK, 0);//GEN-LINE:|411-getter|1|411-postInit
            // write post-init user code here
        }//GEN-BEGIN:|411-getter|2|
        return okCommand_del;
    }
    //</editor-fold>//GEN-END:|411-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: choiceGroup_del ">//GEN-BEGIN:|414-getter|0|414-preInit
    /**
     * Returns an initiliazed instance of choiceGroup_del component.
     * @return the initialized component instance
     */
    public ChoiceGroup getChoiceGroup_del() {
        if (choiceGroup_del == null) {//GEN-END:|414-getter|0|414-preInit
            // write pre-init user code here
            /*
choiceGroup_del = new ChoiceGroup ("Registros disponibles:", Choice.EXCLUSIVE);//GEN-LINE:|414-getter|1|414-postInit
            // write post-init user code here*/
            choiceGroup_del = generaChoiceGroup(vjson_del, choiceGroup_del);
        }//GEN-BEGIN:|414-getter|2|
        return choiceGroup_del;
    }
    //</editor-fold>//GEN-END:|414-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: form_settings ">//GEN-BEGIN:|428-getter|0|428-preInit
    /**
     * Returns an initiliazed instance of form_settings component.
     * @return the initialized component instance
     */
    public Form getForm_settings() {
        if (form_settings == null) {//GEN-END:|428-getter|0|428-preInit
            // write pre-init user code here
            form_settings = new Form("Ajustes actuales:", new Item[] { getID_Op_field(), getID_Base_field(), getID_Device_field() });//GEN-BEGIN:|428-getter|1|428-postInit
            form_settings.addCommand(getOkCommand_form_set());
            form_settings.setCommandListener(this);//GEN-END:|428-getter|1|428-postInit
            // write post-init user code here
        }//GEN-BEGIN:|428-getter|2|
        return form_settings;
    }
    //</editor-fold>//GEN-END:|428-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: ID_Op_field ">//GEN-BEGIN:|437-getter|0|437-preInit
    /**
     * Returns an initiliazed instance of ID_Op_field component.
     * @return the initialized component instance
     */
    public TextField getID_Op_field() {
        if (ID_Op_field == null) {//GEN-END:|437-getter|0|437-preInit
            // write pre-init user code here
            //try {
            ID_Op_field = new TextField("ID Operaci\u00F3n", ids[0]//GEN-BEGIN:|437-getter|1|437-postInit
                    , 32, TextField.ANY);//GEN-END:|437-getter|1|437-postInit
            // write post-init user code here
            //} catch ( JSONException jsone) { jsone.printStackTrace(); }
        }//GEN-BEGIN:|437-getter|2|
        return ID_Op_field;
    }
    //</editor-fold>//GEN-END:|437-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: ID_Base_field ">//GEN-BEGIN:|438-getter|0|438-preInit
    /**
     * Returns an initiliazed instance of ID_Base_field component.
     * @return the initialized component instance
     */
    public TextField getID_Base_field() {
        if (ID_Base_field == null) {//GEN-END:|438-getter|0|438-preInit
            // write pre-init user code here
            //try {
            ID_Base_field = new TextField("ID Base", ids[1], 32, TextField.ANY);//GEN-LINE:|438-getter|1|438-postInit
            // write post-init user code here
            //} catch ( JSONException jsone) { jsone.printStackTrace(); }
        }//GEN-BEGIN:|438-getter|2|
        return ID_Base_field;
    }
    //</editor-fold>//GEN-END:|438-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: ID_Device_field ">//GEN-BEGIN:|439-getter|0|439-preInit
    /**
     * Returns an initiliazed instance of ID_Device_field component.
     * @return the initialized component instance
     */
    public TextField getID_Device_field() {
        if (ID_Device_field == null) {//GEN-END:|439-getter|0|439-preInit
            // write pre-init user code here
            //try {
            ID_Device_field = new TextField("ID Dispositivo", ids[2], 32, TextField.ANY);//GEN-LINE:|439-getter|1|439-postInit
            // write post-init user code here
            //} catch ( JSONException jsone) { jsone.printStackTrace(); }
        }//GEN-BEGIN:|439-getter|2|
        return ID_Device_field;
    }
    //</editor-fold>//GEN-END:|439-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_form_set ">//GEN-BEGIN:|431-getter|0|431-preInit
    /**
     * Returns an initiliazed instance of okCommand_form_set component.
     * @return the initialized component instance
     */
    public Command getOkCommand_form_set() {
        if (okCommand_form_set == null) {//GEN-END:|431-getter|0|431-preInit
            // write pre-init user code here
            okCommand_form_set = new Command("Guardar", Command.OK, 0);//GEN-LINE:|431-getter|1|431-postInit
            // write post-init user code here
        }//GEN-BEGIN:|431-getter|2|
        return okCommand_form_set;
    }
    //</editor-fold>//GEN-END:|431-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textBox_del ">//GEN-BEGIN:|440-getter|0|440-preInit
    /**
     * Returns an initiliazed instance of textBox_del component.
     * @return the initialized component instance
     */
    public TextBox getTextBox_del() {
        if (textBox_del == null) {//GEN-END:|440-getter|0|440-preInit
            // write pre-init user code here
            //muestra los datos del registro seleccionado para borrar
            JSONArray arr_del_mu5 = new JSONArray();
            JSONArray arr_del_mo5 = new JSONArray();
            JSONArray arr_del_fu5 = new JSONArray();
            JSONArray arr_del_fo5 = new JSONArray();
            try {
                json_del = jObject[choiceGroup_del.getSelectedIndex()];
                arr_del_mu5 = json_del.getJSONArray("mu5");
                arr_del_mo5 = json_del.getJSONArray("mo5");
                arr_del_fu5 = json_del.getJSONArray("fu5");
                arr_del_fo5 = json_del.getJSONArray("fo5");
                date_del = json_del.getString("date");

                //genera "str_del": string que se representa en el textbox siguiente
                str_del = "Date: "+date_del+"\n";
                for (int i=0; i<4; i++) {
                    if (i == 0) {
                        str_del += "male under 5:\n";
                        for (int j=0; j<arr_del_mu5.length(); j++)
                            str_del += arr_del_mu5.getInt(j)+",";
                        str_del = str_del.substring(0, str_del.length()-1);//quitar última coma ,
                    }
                    else if (i == 1) {
                        str_del += "male over 5:\n";
                        for (int k=0; k<arr_del_mo5.length(); k++)
                            str_del += arr_del_mo5.getInt(k)+",";
                        str_del = str_del.substring(0, str_del.length()-1);//quitar última coma ,
                    }
                    else if (i == 2) {
                        str_del += "female under 5:\n";
                        for (int l=0; l<arr_del_fu5.length(); l++)
                            str_del += arr_del_fu5.getInt(l)+",";
                        str_del = str_del.substring(0, str_del.length()-1);//quitar última coma ,
                    }
                    else if (i == 3) {
                        str_del += "female over 5:\n";
                        for (int m=0; m<arr_del_fo5.length(); m++)
                            str_del += arr_del_fo5.getInt(m)+",";
                        str_del = str_del.substring(0, str_del.length()-1);//quitar última coma ,
                    }
                    str_del += "\n";
                }
            }
            catch (JSONException jse) {
                jse.printStackTrace();
            }
            catch (java.lang.ArrayIndexOutOfBoundsException e) {
                e.printStackTrace();
                switchDisplayable(null, getMain());
            }

            textBox_del = new TextBox("textBox_del", str_del, 1000, TextField.ANY | TextField.UNEDITABLE);//GEN-BEGIN:|440-getter|1|440-postInit
            textBox_del.addCommand(getOkCommand_textBox_del());
            textBox_del.addCommand(getBackCommand_textBox_del());
            textBox_del.setCommandListener(this);//GEN-END:|440-getter|1|440-postInit
            // write post-init user code here
        }//GEN-BEGIN:|440-getter|2|
        return textBox_del;
    }
    //</editor-fold>//GEN-END:|440-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_textBox_del ">//GEN-BEGIN:|441-getter|0|441-preInit
    /**
     * Returns an initiliazed instance of okCommand_textBox_del component.
     * @return the initialized component instance
     */
    public Command getOkCommand_textBox_del() {
        if (okCommand_textBox_del == null) {//GEN-END:|441-getter|0|441-preInit
            // write pre-init user code here
            okCommand_textBox_del = new Command("Ok", Command.OK, 0);//GEN-LINE:|441-getter|1|441-postInit
            // write post-init user code here
        }//GEN-BEGIN:|441-getter|2|
        return okCommand_textBox_del;
    }
    //</editor-fold>//GEN-END:|441-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_textBox_del ">//GEN-BEGIN:|445-getter|0|445-preInit
    /**
     * Returns an initiliazed instance of backCommand_textBox_del component.
     * @return the initialized component instance
     */
    public Command getBackCommand_textBox_del() {
        if (backCommand_textBox_del == null) {//GEN-END:|445-getter|0|445-preInit
            // write pre-init user code here
            backCommand_textBox_del = new Command("Back", Command.BACK, 0);//GEN-LINE:|445-getter|1|445-postInit
            // write post-init user code here
        }//GEN-BEGIN:|445-getter|2|
        return backCommand_textBox_del;
    }
    //</editor-fold>//GEN-END:|445-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: choiceGroup_view ">//GEN-BEGIN:|448-getter|0|448-preInit
    /**
     * Returns an initiliazed instance of choiceGroup_view component.
     * @return the initialized component instance
     */
    public ChoiceGroup getChoiceGroup_view() {
        if (choiceGroup_view == null) {//GEN-END:|448-getter|0|448-preInit
            // write pre-init user code here
            /*
choiceGroup_view = new ChoiceGroup ("Registros disponibles:", Choice.MULTIPLE);//GEN-LINE:|448-getter|1|448-postInit
            // write post-init user code here*/
            choiceGroup_view = generaChoiceGroup(vjson_view, choiceGroup_view);
        }//GEN-BEGIN:|448-getter|2|
        return choiceGroup_view;
    }
    //</editor-fold>//GEN-END:|448-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textBox_edit ">//GEN-BEGIN:|449-getter|0|449-preInit
    /**
     * Returns an initiliazed instance of textBox_edit component.
     * @return the initialized component instance
     */
    public TextBox getTextBox_edit() {
        if (textBox_edit == null) {//GEN-END:|449-getter|0|449-preInit
            // write pre-init user code here

            //muestra los datos del registro seleccionado para editar
            arr_edit_mu5 = new JSONArray();
            arr_edit_mo5 = new JSONArray();
            arr_edit_fu5 = new JSONArray();
            arr_edit_fo5 = new JSONArray();
            try {
                json_edit = jObject[choiceGroup_edit.getSelectedIndex()];
                arr_edit_mu5 = json_edit.getJSONArray("mu5");
                arr_edit_mo5 = json_edit.getJSONArray("mo5");
                arr_edit_fu5 = json_edit.getJSONArray("fu5");
                arr_edit_fo5 = json_edit.getJSONArray("fo5");
                date_edit = json_edit.getString("date");

                //genera "str_edit": string que se representa en el textbox siguiente
                str_edit = "Date: "+date_edit+"\n";
                for (int i=0; i<4; i++) {
                    if (i == 0) {
                        str_edit += "male under 5:\n";
                        for (int j=0; j<arr_edit_mu5.length(); j++)
                            str_edit += arr_edit_mu5.getInt(j)+",";
                        str_edit = str_edit.substring(0, str_edit.length()-1);//quitar última coma ,
                    }
                    else if (i == 1) {
                        str_edit += "male over 5:\n";
                        for (int k=0; k<arr_edit_mo5.length(); k++)
                            str_edit += arr_edit_mo5.getInt(k)+",";
                        str_edit = str_edit.substring(0, str_edit.length()-1);//quitar última coma ,
                    }
                    else if (i == 2) {
                        str_edit += "female under 5:\n";
                        for (int l=0; l<arr_edit_fu5.length(); l++)
                            str_edit += arr_edit_fu5.getInt(l)+",";
                        str_edit = str_edit.substring(0, str_edit.length()-1);//quitar última coma ,
                    }
                    else if (i == 3) {
                        str_edit += "female over 5:\n";
                        for (int m=0; m<arr_edit_fo5.length(); m++)
                            str_edit += arr_edit_fo5.getInt(m)+",";
                        str_edit = str_edit.substring(0, str_edit.length()-1);//quitar última coma ,
                    }
                    str_edit += "\n";
                }
            }
            catch (JSONException jse) {
                jse.printStackTrace();
            }

            textBox_edit = new TextBox("textBox_edit", str_edit, 1000, TextField.ANY | TextField.UNEDITABLE);//GEN-BEGIN:|449-getter|1|449-postInit
            textBox_edit.addCommand(getOkCommand_textBox_edit());
            textBox_edit.addCommand(getBackCommand_textBox_edit());
            textBox_edit.setCommandListener(this);//GEN-END:|449-getter|1|449-postInit
            // write post-init user code here
        }//GEN-BEGIN:|449-getter|2|
        return textBox_edit;
    }
    //</editor-fold>//GEN-END:|449-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_textBox_edit ">//GEN-BEGIN:|451-getter|0|451-preInit
    /**
     * Returns an initiliazed instance of okCommand_textBox_edit component.
     * @return the initialized component instance
     */
    public Command getOkCommand_textBox_edit() {
        if (okCommand_textBox_edit == null) {//GEN-END:|451-getter|0|451-preInit
            // write pre-init user code here
            okCommand_textBox_edit = new Command("Ok", Command.OK, 0);//GEN-LINE:|451-getter|1|451-postInit
            // write post-init user code here
        }//GEN-BEGIN:|451-getter|2|
        return okCommand_textBox_edit;
    }
    //</editor-fold>//GEN-END:|451-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_textBox_edit ">//GEN-BEGIN:|453-getter|0|453-preInit
    /**
     * Returns an initiliazed instance of backCommand_textBox_edit component.
     * @return the initialized component instance
     */
    public Command getBackCommand_textBox_edit() {
        if (backCommand_textBox_edit == null) {//GEN-END:|453-getter|0|453-preInit
            // write pre-init user code here
            backCommand_textBox_edit = new Command("Back", Command.BACK, 0);//GEN-LINE:|453-getter|1|453-postInit
            // write post-init user code here
        }//GEN-BEGIN:|453-getter|2|
        return backCommand_textBox_edit;
    }
    //</editor-fold>//GEN-END:|453-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: choiceGroup_edit ">//GEN-BEGIN:|456-getter|0|456-preInit
    /**
     * Returns an initiliazed instance of choiceGroup_edit component.
     * @return the initialized component instance
     */
    public ChoiceGroup getChoiceGroup_edit() {
        if (choiceGroup_edit == null) {//GEN-END:|456-getter|0|456-preInit
            // write pre-init user code here
            /*
choiceGroup_edit = new ChoiceGroup ("Registros disponibles:", Choice.MULTIPLE);//GEN-LINE:|456-getter|1|456-postInit
            // write post-init user code here*/
            choiceGroup_edit = generaChoiceGroup(vjson_edit, choiceGroup_edit);
        }//GEN-BEGIN:|456-getter|2|
        return choiceGroup_edit;
    }
    //</editor-fold>//GEN-END:|456-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: form_edit_select_symptom ">//GEN-BEGIN:|457-getter|0|457-preInit
    /**
     * Returns an initiliazed instance of form_edit_select_symptom component.
     * @return the initialized component instance
     */
    public Form getForm_edit_select_symptom() {
        if (form_edit_select_symptom == null) {//GEN-END:|457-getter|0|457-preInit
            // write pre-init user code here
            form_edit_select_symptom = new Form("Editar registro", new Item[] { getChoiceGroup_edit_symptom() });//GEN-BEGIN:|457-getter|1|457-postInit
            form_edit_select_symptom.addCommand(getOkCommand_edit_select_symptom());
            form_edit_select_symptom.addCommand(getBackCommand_edit_select_symptom());
            form_edit_select_symptom.setCommandListener(this);//GEN-END:|457-getter|1|457-postInit
            // write post-init user code here
        }//GEN-BEGIN:|457-getter|2|
        return form_edit_select_symptom;
    }
    //</editor-fold>//GEN-END:|457-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_edit_select_symptom ">//GEN-BEGIN:|458-getter|0|458-preInit
    /**
     * Returns an initiliazed instance of okCommand_edit_select_symptom component.
     * @return the initialized component instance
     */
    public Command getOkCommand_edit_select_symptom() {
        if (okCommand_edit_select_symptom == null) {//GEN-END:|458-getter|0|458-preInit
            // write pre-init user code here
            okCommand_edit_select_symptom = new Command("Ok", Command.OK, 0);//GEN-LINE:|458-getter|1|458-postInit
            // write post-init user code here
        }//GEN-BEGIN:|458-getter|2|
        return okCommand_edit_select_symptom;
    }
    //</editor-fold>//GEN-END:|458-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_edit_select_symptom ">//GEN-BEGIN:|460-getter|0|460-preInit
    /**
     * Returns an initiliazed instance of backCommand_edit_select_symptom component.
     * @return the initialized component instance
     */
    public Command getBackCommand_edit_select_symptom() {
        if (backCommand_edit_select_symptom == null) {//GEN-END:|460-getter|0|460-preInit
            // write pre-init user code here
            backCommand_edit_select_symptom = new Command("Back", Command.BACK, 0);//GEN-LINE:|460-getter|1|460-postInit
            // write post-init user code here
        }//GEN-BEGIN:|460-getter|2|
        return backCommand_edit_select_symptom;
    }
    //</editor-fold>//GEN-END:|460-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: choiceGroup_edit_symptom ">//GEN-BEGIN:|463-getter|0|463-preInit
    /**
     * Returns an initiliazed instance of choiceGroup_edit_symptom component.
     * @return the initialized component instance
     */
    public ChoiceGroup getChoiceGroup_edit_symptom() {
        if (choiceGroup_edit_symptom == null) {//GEN-END:|463-getter|0|463-preInit
            // write pre-init user code here
            //aquí generamos la lista de síntomas en función al fichero de configuración
            choiceGroup_edit_symptom = new ChoiceGroup("Seleccione s\u00EDntoma:", Choice.EXCLUSIVE);
            for (int i=0;i<number_of_diseases;i++) {
                choiceGroup_edit_symptom.append(diseases[i], null);
            }
            for (int i=0;i<number_of_diseases;i++) {
                choiceGroup_edit_symptom.setFont(i, null);
            }
            choiceGroup_edit_symptom.setFitPolicy(Choice.TEXT_WRAP_DEFAULT);
            booleano = new boolean[number_of_diseases];
            for (int i=0;i<number_of_diseases;i++) {
                booleano[i] = false;
            }
            choiceGroup_edit_symptom.setSelectedFlags(booleano);
            /*
choiceGroup_edit_symptom = new ChoiceGroup ("Seleccione s\u00EDntoma:", Choice.MULTIPLE);//GEN-LINE:|463-getter|1|463-postInit
            // write post-init user code here*/
        }//GEN-BEGIN:|463-getter|2|
        return choiceGroup_edit_symptom;
    }
    //</editor-fold>//GEN-END:|463-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: form_edit_number ">//GEN-BEGIN:|464-getter|0|464-preInit
    /**
     * Returns an initiliazed instance of form_edit_number component.
     * @return the initialized component instance
     */
    public Form getForm_edit_number() {
        if (form_edit_number == null) {//GEN-END:|464-getter|0|464-preInit
            // write pre-init user code here
            form_edit_number = new Form("Modifique el n\u00FAmero de casos", new Item[] { getTextField_ed_mu5(), getTextField_ed_mo5(), getTextField_ed_fu5(), getTextField_ed_fo5() });//GEN-BEGIN:|464-getter|1|464-postInit
            form_edit_number.addCommand(getOkCommand_edit_number());
            form_edit_number.addCommand(getBackCommand_edit_number());
            form_edit_number.setCommandListener(this);//GEN-END:|464-getter|1|464-postInit
            // write post-init user code here
        }//GEN-BEGIN:|464-getter|2|
        return form_edit_number;
    }
    //</editor-fold>//GEN-END:|464-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textField_ed_mu5 ">//GEN-BEGIN:|466-getter|0|466-preInit
    /**
     * Returns an initiliazed instance of textField_ed_mu5 component.
     * @return the initialized component instance
     */
    public TextField getTextField_ed_mu5() {
        if (textField_ed_mu5 == null) {//GEN-END:|466-getter|0|466-preInit
            // write pre-init user code here
            try {
                int mu5 = arr_edit_mu5.getInt(choiceGroup_edit_symptom.getSelectedIndex());
                if (mu5 != 0)
                    textField_ed_mu5 = new TextField("Male under 5 years", mu5+"", 32, TextField.NUMERIC);//GEN-LINE:|466-getter|1|466-postInit
                else
                    textField_ed_mu5 = new TextField("Male under 5 years", "", 32, TextField.NUMERIC);
                // write post-init user code here
            }
            catch ( JSONException jsone ) {
                jsone.printStackTrace();
            }
        }//GEN-BEGIN:|466-getter|2|
        return textField_ed_mu5;
    }
    //</editor-fold>//GEN-END:|466-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textField_ed_mo5 ">//GEN-BEGIN:|467-getter|0|467-preInit
    /**
     * Returns an initiliazed instance of textField_ed_mo5 component.
     * @return the initialized component instance
     */
    public TextField getTextField_ed_mo5() {
        if (textField_ed_mo5 == null) {//GEN-END:|467-getter|0|467-preInit
            // write pre-init user code here
            try {
                int mo5 = arr_edit_mo5.getInt(choiceGroup_edit_symptom.getSelectedIndex());
                if (mo5 != 0)
                    textField_ed_mo5 = new TextField("Male over 5 years", mo5+"", 32, TextField.NUMERIC);//GEN-LINE:|467-getter|1|467-postInit
                else
                    textField_ed_mo5 = new TextField("Male over 5 years", "", 32, TextField.NUMERIC);
                // write post-init user code here
            }
            catch ( JSONException jsone ) {
                jsone.printStackTrace();
            }
        }//GEN-BEGIN:|467-getter|2|
        return textField_ed_mo5;
    }
    //</editor-fold>//GEN-END:|467-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textField_ed_fu5 ">//GEN-BEGIN:|468-getter|0|468-preInit
    /**
     * Returns an initiliazed instance of textField_ed_fu5 component.
     * @return the initialized component instance
     */
    public TextField getTextField_ed_fu5() {
        if (textField_ed_fu5 == null) {//GEN-END:|468-getter|0|468-preInit
            // write pre-init user code here
            try {
                int fu5 = arr_edit_fu5.getInt(choiceGroup_edit_symptom.getSelectedIndex());
                if (fu5 != 0)
                    textField_ed_fu5 = new TextField("Female under 5 years", fu5+"", 32, TextField.NUMERIC);//GEN-LINE:|468-getter|1|468-postInit
                else
                    textField_ed_fu5 = new TextField("Female under 5 years", "", 32, TextField.NUMERIC);
                // write post-init user code here
            }
            catch ( JSONException jsone ) {
                jsone.printStackTrace();
            }
        }//GEN-BEGIN:|468-getter|2|
        return textField_ed_fu5;
    }
    //</editor-fold>//GEN-END:|468-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textField_ed_fo5 ">//GEN-BEGIN:|469-getter|0|469-preInit
    /**
     * Returns an initiliazed instance of textField_ed_fo5 component.
     * @return the initialized component instance
     */
    public TextField getTextField_ed_fo5() {
        if (textField_ed_fo5 == null) {//GEN-END:|469-getter|0|469-preInit
            // write pre-init user code here
            try {
                int fo5 = arr_edit_fo5.getInt(choiceGroup_edit_symptom.getSelectedIndex());
                if (fo5 != 0)
                    textField_ed_fo5 = new TextField("Female over 5 years", fo5+"", 32, TextField.NUMERIC);//GEN-LINE:|469-getter|1|469-postInit
                else
                    textField_ed_fo5 = new TextField("Female over 5 years", "", 32, TextField.NUMERIC);
                // write post-init user code here
            }
            catch ( JSONException jsone ) {
                jsone.printStackTrace();
            }
        }//GEN-BEGIN:|469-getter|2|
        return textField_ed_fo5;
    }
    //</editor-fold>//GEN-END:|469-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: bucle_edit ">//GEN-BEGIN:|474-getter|0|474-preInit
    /**
     * Returns an initiliazed instance of bucle_edit component.
     * @return the initialized component instance
     */
    public List getBucle_edit() {
        if (bucle_edit == null) {//GEN-END:|474-getter|0|474-preInit
            // write pre-init user code here
            bucle_edit = new List("list", Choice.IMPLICIT);//GEN-BEGIN:|474-getter|1|474-postInit
            bucle_edit.append("Editar m\u00E1s s\u00EDntomas del mismo d\u00EDa", null);
            bucle_edit.append("Guardar y volver al Men\u00FA principal", null);
            bucle_edit.addCommand(getOkCommand_bucle_edit());
            bucle_edit.setCommandListener(this);
            bucle_edit.setSelectedFlags(new boolean[] { false, false });//GEN-END:|474-getter|1|474-postInit
            // write post-init user code here
            //guardamos cambios realizados
            int sel_ind = choiceGroup_edit_symptom.getSelectedIndex();
            try {
                arr_edit_mu5.put(sel_ind, Integer.parseInt(textField_ed_mu5.getString()));
                arr_edit_mo5.put(sel_ind, Integer.parseInt(textField_ed_mo5.getString()));
                arr_edit_fu5.put(sel_ind, Integer.parseInt(textField_ed_fu5.getString()));
                arr_edit_fo5.put(sel_ind, Integer.parseInt(textField_ed_fo5.getString()));
            } catch (JSONException jsone) {
                jsone.printStackTrace();
            }
            try {
                jObject[choiceGroup_edit.getSelectedIndex()].put("mu5", arr_edit_mu5);
                jObject[choiceGroup_edit.getSelectedIndex()].put("mo5", arr_edit_mo5);
                jObject[choiceGroup_edit.getSelectedIndex()].put("fu5", arr_edit_fu5);
                jObject[choiceGroup_edit.getSelectedIndex()].put("fo5", arr_edit_fo5);
            } catch (JSONException jsone) {
                jsone.printStackTrace();
            }
        }//GEN-BEGIN:|474-getter|2|
        return bucle_edit;
    }
    //</editor-fold>//GEN-END:|474-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Method: bucle_editAction ">//GEN-BEGIN:|474-action|0|474-preAction
    /**
     * Performs an action assigned to the selected list element in the bucle_edit component.
     */
    public void bucle_editAction() {//GEN-END:|474-action|0|474-preAction
        // enter pre-action user code here
        String __selectedString = getBucle_edit().getString(getBucle_edit().getSelectedIndex());//GEN-BEGIN:|474-action|1|480-preAction
        if (__selectedString != null) {
            if (__selectedString.equals("Editar m\u00E1s s\u00EDntomas del mismo d\u00EDa")) {//GEN-END:|474-action|1|480-preAction
                // write pre-action user code here
                resetForm_edit();//reseteo de algunos elementos del formulario
                switchDisplayable(null, getForm_edit_select_symptom());//GEN-LINE:|474-action|2|480-postAction
                // write post-action user code here
            } else if (__selectedString.equals("Guardar y volver al Men\u00FA principal")) {//GEN-LINE:|474-action|3|481-preAction
                // write pre-action user code here
                saveData sd_edit = new saveData();
                sd_edit.delete(f_rec);
                sd_edit.saveData(f_rec, jObject, false);
                vjson_del = vjson_edit = vjson_view = null;
                choiceGroup_del = choiceGroup_edit = choiceGroup_view = null;
                switchDisplayable(null, getMain());//GEN-LINE:|474-action|4|481-postAction
                // write post-action user code here
            }//GEN-BEGIN:|474-action|5|474-postAction
        }//GEN-END:|474-action|5|474-postAction
        // enter post-action user code here
    }//GEN-BEGIN:|474-action|6|
    //</editor-fold>//GEN-END:|474-action|6|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_edit_number ">//GEN-BEGIN:|470-getter|0|470-preInit
    /**
     * Returns an initiliazed instance of okCommand_edit_number component.
     * @return the initialized component instance
     */
    public Command getOkCommand_edit_number() {
        if (okCommand_edit_number == null) {//GEN-END:|470-getter|0|470-preInit
            // write pre-init user code here
            okCommand_edit_number = new Command("Ok", Command.OK, 0);//GEN-LINE:|470-getter|1|470-postInit
            // write post-init user code here
        }//GEN-BEGIN:|470-getter|2|
        return okCommand_edit_number;
    }
    //</editor-fold>//GEN-END:|470-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: backCommand_edit_number ">//GEN-BEGIN:|472-getter|0|472-preInit
    /**
     * Returns an initiliazed instance of backCommand_edit_number component.
     * @return the initialized component instance
     */
    public Command getBackCommand_edit_number() {
        if (backCommand_edit_number == null) {//GEN-END:|472-getter|0|472-preInit
            // write pre-init user code here
            backCommand_edit_number = new Command("Back", Command.BACK, 0);//GEN-LINE:|472-getter|1|472-postInit
            // write post-init user code here
        }//GEN-BEGIN:|472-getter|2|
        return backCommand_edit_number;
    }
    //</editor-fold>//GEN-END:|472-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_bucle_edit ">//GEN-BEGIN:|478-getter|0|478-preInit
    /**
     * Returns an initiliazed instance of okCommand_bucle_edit component.
     * @return the initialized component instance
     */
    public Command getOkCommand_bucle_edit() {
        if (okCommand_bucle_edit == null) {//GEN-END:|478-getter|0|478-preInit
            // write pre-init user code here
            okCommand_bucle_edit = new Command("Ok", Command.OK, 0);//GEN-LINE:|478-getter|1|478-postInit
            // write post-init user code here
        }//GEN-BEGIN:|478-getter|2|
        return okCommand_bucle_edit;
    }
    //</editor-fold>//GEN-END:|478-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textBox_upload_HQ ">//GEN-BEGIN:|484-getter|0|484-preInit
    /**
     * Returns an initiliazed instance of textBox_upload_HQ component.
     * @return the initialized component instance
     */
    public TextBox getTextBox_upload_HQ() {
        if (textBox_upload_HQ == null) {//GEN-END:|484-getter|0|484-preInit
            // write pre-init user code here
            String str_ret_HQ = new String();
            for (int i = 0; i < n_recs; i++) {
                str_ret_HQ += return_HQ[i]+"\n";
            }
            textBox_upload_HQ = new TextBox("respuesta del HQ", str_ret_HQ, 10000, TextField.ANY | TextField.UNEDITABLE);//GEN-BEGIN:|484-getter|1|484-postInit
            textBox_upload_HQ.addCommand(getOkCommand_upload_HQ());
            textBox_upload_HQ.setCommandListener(this);//GEN-END:|484-getter|1|484-postInit
            // write post-init user code here
        }//GEN-BEGIN:|484-getter|2|
        return textBox_upload_HQ;
    }
    //</editor-fold>//GEN-END:|484-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_upload_HQ ">//GEN-BEGIN:|486-getter|0|486-preInit
    /**
     * Returns an initiliazed instance of okCommand_upload_HQ component.
     * @return the initialized component instance
     */
    public Command getOkCommand_upload_HQ() {
        if (okCommand_upload_HQ == null) {//GEN-END:|486-getter|0|486-preInit
            // write pre-init user code here
            okCommand_upload_HQ = new Command("Ok", Command.OK, 0);//GEN-LINE:|486-getter|1|486-postInit
            // write post-init user code here
        }//GEN-BEGIN:|486-getter|2|
        return okCommand_upload_HQ;
    }
    //</editor-fold>//GEN-END:|486-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_transfer ">//GEN-BEGIN:|489-getter|0|489-preInit
    /**
     * Returns an initiliazed instance of okCommand_transfer component.
     * @return the initialized component instance
     */
    public Command getOkCommand_transfer() {
        if (okCommand_transfer == null) {//GEN-END:|489-getter|0|489-preInit
            // write pre-init user code here
            okCommand_transfer = new Command("Ok", Command.OK, 0);//GEN-LINE:|489-getter|1|489-postInit
            // write post-init user code here
        }//GEN-BEGIN:|489-getter|2|
        return okCommand_transfer;
    }
    //</editor-fold>//GEN-END:|489-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: waitScreen_HQ ">//GEN-BEGIN:|491-getter|0|491-preInit
    /**
     * Returns an initiliazed instance of waitScreen_HQ component.
     * @return the initialized component instance
     */
    public WaitScreen getWaitScreen_HQ() {
        if (waitScreen_HQ == null) {//GEN-END:|491-getter|0|491-preInit
            // write pre-init user code here
            waitScreen_HQ = new WaitScreen(getDisplay());//GEN-BEGIN:|491-getter|1|491-postInit
            waitScreen_HQ.setTitle("waitScreen");
            waitScreen_HQ.setCommandListener(this);
            waitScreen_HQ.setText("Wait while uploading...");
            waitScreen_HQ.setTask(getTask_upload_HQ());//GEN-END:|491-getter|1|491-postInit
            // write post-init user code here
        }//GEN-BEGIN:|491-getter|2|
        return waitScreen_HQ;
    }
    //</editor-fold>//GEN-END:|491-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: task_upload_HQ ">//GEN-BEGIN:|494-getter|0|494-preInit
    /**
     * Returns an initiliazed instance of task_upload_HQ component.
     * @return the initialized component instance
     */
    public SimpleCancellableTask getTask_upload_HQ() {
        if (task_upload_HQ == null) {//GEN-END:|494-getter|0|494-preInit
            // write pre-init user code here
            task_upload_HQ = new SimpleCancellableTask();//GEN-BEGIN:|494-getter|1|494-execute
            task_upload_HQ.setExecutable(new org.netbeans.microedition.util.Executable() {
                public void execute() throws Exception {//GEN-END:|494-getter|1|494-execute
                    // write task_upload_HQ-execution user code here
                    conectaHTTP chttp;
                    String str_transfer = new String();
                    getJSON gj_transfer = new getJSON(f_rec);
                    n_recs = gj_transfer.getVjson().size();
                    Vector v_malos = new Vector();
                    return_HQ = new String[n_recs];
                    saveData sd_hq = new saveData();
                    for (int i = 0; i < n_recs; i++) {
                        str_transfer = gj_transfer.getVjson().elementAt(i).toString();
                        chttp = new conectaHTTP(str_transfer, urlserver, urlquery);
                        return_HQ[i] = chttp.retorno();
                        if (return_HQ[i].equals("OK")) {
                            sd_hq.saveData("sent_"+f_rec, gj_transfer.getVjson().elementAt(i).toString(), false); //se copia el contenido viejo en un fichero
                        }
                        else {
                            v_malos.addElement(str_transfer);
                        }
                    }
                    saveData sd_del = new saveData();
                    sd_del.saveData(f_rec, v_malos, true);
                }//GEN-BEGIN:|494-getter|2|494-postInit
            });//GEN-END:|494-getter|2|494-postInit
            // write post-init user code here
        }//GEN-BEGIN:|494-getter|3|
        return task_upload_HQ;
    }
    //</editor-fold>//GEN-END:|494-getter|3|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textBox_upload_Base ">//GEN-BEGIN:|496-getter|0|496-preInit
    /**
     * Returns an initiliazed instance of textBox_upload_Base component.
     * @return the initialized component instance
     */
    public TextBox getTextBox_upload_Base() {
        if (textBox_upload_Base == null) {//GEN-END:|496-getter|0|496-preInit
            // write pre-init user code here
            textBox_upload_Base = new TextBox("textBox", null, 100, TextField.ANY);//GEN-BEGIN:|496-getter|1|496-postInit
            textBox_upload_Base.addCommand(getOkCommand_upload_Base());
            textBox_upload_Base.setCommandListener(this);//GEN-END:|496-getter|1|496-postInit
            // write post-init user code here
        }//GEN-BEGIN:|496-getter|2|
        return textBox_upload_Base;
    }
    //</editor-fold>//GEN-END:|496-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: textBox_upload_SD ">//GEN-BEGIN:|497-getter|0|497-preInit
    /**
     * Returns an initiliazed instance of textBox_upload_SD component.
     * @return the initialized component instance
     */
    public TextBox getTextBox_upload_SD() {
        if (textBox_upload_SD == null) {//GEN-END:|497-getter|0|497-preInit
            // write pre-init user code here
            textBox_upload_SD = new TextBox("textBox", null, 100, TextField.ANY);//GEN-BEGIN:|497-getter|1|497-postInit
            textBox_upload_SD.addCommand(getOkCommand_upload_SD());
            textBox_upload_SD.setCommandListener(this);//GEN-END:|497-getter|1|497-postInit
            // write post-init user code here
        }//GEN-BEGIN:|497-getter|2|
        return textBox_upload_SD;
    }
    //</editor-fold>//GEN-END:|497-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: waitScreen_Base ">//GEN-BEGIN:|504-getter|0|504-preInit
    /**
     * Returns an initiliazed instance of waitScreen_Base component.
     * @return the initialized component instance
     */
    public WaitScreen getWaitScreen_Base() {
        if (waitScreen_Base == null) {//GEN-END:|504-getter|0|504-preInit
            // write pre-init user code here
            waitScreen_Base = new WaitScreen(getDisplay());//GEN-BEGIN:|504-getter|1|504-postInit
            waitScreen_Base.setTitle("waitScreen");
            waitScreen_Base.setCommandListener(this);
            waitScreen_Base.setText("Wait while transferring...");
            waitScreen_Base.setTask(getTask_upload_Base());//GEN-END:|504-getter|1|504-postInit
            // write post-init user code here
        }//GEN-BEGIN:|504-getter|2|
        return waitScreen_Base;
    }
    //</editor-fold>//GEN-END:|504-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: waitScreen_SD ">//GEN-BEGIN:|508-getter|0|508-preInit
    /**
     * Returns an initiliazed instance of waitScreen_SD component.
     * @return the initialized component instance
     */
    public WaitScreen getWaitScreen_SD() {
        if (waitScreen_SD == null) {//GEN-END:|508-getter|0|508-preInit
            // write pre-init user code here
            waitScreen_SD = new WaitScreen(getDisplay());//GEN-BEGIN:|508-getter|1|508-postInit
            waitScreen_SD.setTitle("waitScreen");
            waitScreen_SD.setCommandListener(this);
            waitScreen_SD.setText("Wait while copying...");
            waitScreen_SD.setTask(getTask_upload_SD());//GEN-END:|508-getter|1|508-postInit
            // write post-init user code here
        }//GEN-BEGIN:|508-getter|2|
        return waitScreen_SD;
    }
    //</editor-fold>//GEN-END:|508-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_upload_Base ">//GEN-BEGIN:|498-getter|0|498-preInit
    /**
     * Returns an initiliazed instance of okCommand_upload_Base component.
     * @return the initialized component instance
     */
    public Command getOkCommand_upload_Base() {
        if (okCommand_upload_Base == null) {//GEN-END:|498-getter|0|498-preInit
            // write pre-init user code here
            okCommand_upload_Base = new Command("Ok", Command.OK, 0);//GEN-LINE:|498-getter|1|498-postInit
            // write post-init user code here
        }//GEN-BEGIN:|498-getter|2|
        return okCommand_upload_Base;
    }
    //</editor-fold>//GEN-END:|498-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: okCommand_upload_SD ">//GEN-BEGIN:|500-getter|0|500-preInit
    /**
     * Returns an initiliazed instance of okCommand_upload_SD component.
     * @return the initialized component instance
     */
    public Command getOkCommand_upload_SD() {
        if (okCommand_upload_SD == null) {//GEN-END:|500-getter|0|500-preInit
            // write pre-init user code here
            okCommand_upload_SD = new Command("Ok", Command.OK, 0);//GEN-LINE:|500-getter|1|500-postInit
            // write post-init user code here
        }//GEN-BEGIN:|500-getter|2|
        return okCommand_upload_SD;
    }
    //</editor-fold>//GEN-END:|500-getter|2|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: task_upload_Base ">//GEN-BEGIN:|507-getter|0|507-preInit
    /**
     * Returns an initiliazed instance of task_upload_Base component.
     * @return the initialized component instance
     */
    public SimpleCancellableTask getTask_upload_Base() {
        if (task_upload_Base == null) {//GEN-END:|507-getter|0|507-preInit
            // write pre-init user code here
            task_upload_Base = new SimpleCancellableTask();//GEN-BEGIN:|507-getter|1|507-execute
            task_upload_Base.setExecutable(new org.netbeans.microedition.util.Executable() {
                public void execute() throws Exception {//GEN-END:|507-getter|1|507-execute
                    // write task_upload_HQ-execution user code here
                    conectaHTTP chttp;
                    String str_transfer = new String();
                    getJSON gj_transfer = new getJSON(f_rec);
                    n_recs = gj_transfer.getVjson().size();
                    return_HQ = new String[n_recs];
                    for (int i = 0; i < n_recs; i++) {
                        str_transfer = gj_transfer.getVjson().elementAt(i).toString();
                        chttp = new conectaHTTP(str_transfer, urlserver, urlquery);
                        return_HQ[i] = chttp.retorno();
                    }
                }//GEN-BEGIN:|507-getter|2|507-postInit
            });//GEN-END:|507-getter|2|507-postInit
            // write post-init user code here
        }//GEN-BEGIN:|507-getter|3|
        return task_upload_Base;
    }
    //</editor-fold>//GEN-END:|507-getter|3|

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: task_upload_SD ">//GEN-BEGIN:|511-getter|0|511-preInit
    /**
     * Returns an initiliazed instance of task_upload_SD component.
     * @return the initialized component instance
     */
    public SimpleCancellableTask getTask_upload_SD() {
        if (task_upload_SD == null) {//GEN-END:|511-getter|0|511-preInit
            // write pre-init user code here
            task_upload_SD = new SimpleCancellableTask();//GEN-BEGIN:|511-getter|1|511-execute
            task_upload_SD.setExecutable(new org.netbeans.microedition.util.Executable() {
                public void execute() throws Exception {//GEN-END:|511-getter|1|511-execute
                    // write task_upload_HQ-execution user code here
                    conectaHTTP chttp;
                    String str_transfer = new String();
                    getJSON gj_transfer = new getJSON(f_rec);
                    n_recs = gj_transfer.getVjson().size();
                    return_SD = new String[n_recs];
                    for (int i = 0; i < n_recs; i++) {
                        str_transfer = gj_transfer.getVjson().elementAt(i).toString();
                        chttp = new conectaHTTP(str_transfer, urlserver, urlquery);
                        return_SD[i] = chttp.retorno();
                    }
                    saveData sd_sd = new saveData();
                    sd_sd.saveData("old"+f_rec, f_rec.toString(), false); //se copia el contenido viejo en un fichero
                    sd_sd.saveData(f_rec, f_rec.toString(), true, ruta);  //se copia el fichero en la SD
                    sd_sd.saveData(f_rec, "", true);                      //se borra el contenido del fichero
                }//GEN-BEGIN:|511-getter|2|511-postInit
            });//GEN-END:|511-getter|2|511-postInit
            // write post-init user code here
        }//GEN-BEGIN:|511-getter|3|
        return task_upload_SD;
    }
    //</editor-fold>//GEN-END:|511-getter|3|


    //</editor-fold>
    //</editor-fold>

    //<editor-fold defaultstate="collapsed" desc=" Generated Getter: task_edit ">//GEN-BEGIN:|532-getter|0|532-preInit
    /**
     * Returns an initiliazed instance of task_edit component.
     * @return the initialized component instance
     */
    public SimpleCancellableTask getTask_edit() {
        if (task_edit == null) {//GEN-END:|532-getter|0|532-preInit
            // write pre-init user code here
            task_edit = new SimpleCancellableTask();//GEN-BEGIN:|532-getter|1|532-execute
            task_edit.setExecutable(new org.netbeans.microedition.util.Executable() {
                public void execute() throws Exception {//GEN-END:|532-getter|1|532-execute
                    // write task_edit-execution user code here
                    //guardar cambios realizados en fichero records.txt

                }//GEN-BEGIN:|532-getter|2|532-postInit
            });//GEN-END:|532-getter|2|532-postInit
            // write post-init user code here
        }//GEN-BEGIN:|532-getter|3|
        return task_edit;
    }
    //</editor-fold>//GEN-END:|532-getter|3|



    /**
     * Resetea los formularios form_add_select_symptom, form_add_number y sus componentes
     */
    public void resetForm_add () {
        /*if (form_add_select_symptom != null) {
            form_add_select_symptom.deleteAll();
            form_add_select_symptom.removeCommand(okCommand_select_symptom);
            form_add_select_symptom.removeCommand(backCommand_select_symptom);
            form_add_select_symptom = null;                 //apunta a null para que se vuelva a generar
        }
        if (form_add_number != null) {
            form_add_number.deleteAll();
            form_add_number.removeCommand(okCommand_number);
            form_add_number.removeCommand(backCommand_number);
            form_add_number = null;
        }*/
        textBox_add = null;
        if (textField_mu5 != null)
            textField_mu5.setString("");
        if (textField_mo5 != null)
            textField_mo5.setString("");
        if (textField_fu5 != null)
            textField_fu5.setString("");
        if (textField_fo5 != null)
            textField_fo5.setString("");
        veamos = "";
    }

    /**
     * Resetea el formulario form_del y sus componentes
     */
    public void resetForm_del () {
        if (form_del != null) {
            form_del.deleteAll();
            form_del.removeCommand(okCommand_del);
            form_del.removeCommand(backCommand_del);
            form_del = null;
        }
        if (choiceGroup_del != null) {
            choiceGroup_del.deleteAll();
            choiceGroup_del = null;
        }
        textBox_del = null;
        str_del = "";
        //vjson_del.removeAllElements();
        //jObject = null;
    }

    /**
     * Resetea el formulario form_edit y sus componentes
     */
    public void resetForm_edit () {
        if (textBox_edit != null) {
            textBox_edit = null;
        }
        if (textField_ed_mu5 != null)
            textField_ed_mu5.setString("");
        if (textField_ed_mo5 != null)
            textField_ed_mo5.setString("");
        if (textField_ed_fu5 != null)
            textField_ed_fu5.setString("");
        if (textField_ed_fo5 != null)
            textField_ed_fo5.setString("");
        str_edit = "";
    }

    /**
     * Genera un ChoiceGroup con las fechas de los registros almacenados en el fichero de texto
     * @param vjson es el vector con el que se genera el ChoiceGroup
     * @param choiceGroup es el nombre del ChoiceGroup sin elementos
     * @return devuelve el ChoiceGroup con los elementos
     */
    public ChoiceGroup generaChoiceGroup (Vector vjson, ChoiceGroup choiceGroup) {
        if (vjson == null) {
            getJSON gj = new getJSON(f_rec);    //lee el fichero de registros
            vjson = new Vector();
            vjson = gj.getVjson();              //mete los registros en el vector
        }
        int n_jsons = vjson.size();         //número de jsons en el fichero

        //se inicializa el array de objetos JSON con los json almacenados
        jObject = new JSONObject[n_jsons];//array de JSONObject del tamaño n_jsons
        try {
            for (int i=0; i<n_jsons; i++) {
                jObject[i] = new JSONObject(vjson.elementAt(i).toString());//se crea objeto json con cada registro
            }
        } catch (JSONException jse) { jse.printStackTrace(); }

        choiceGroup = new ChoiceGroup("Registros disponibles:", Choice.EXCLUSIVE);
        try {
            for (int i=0; i<n_jsons; i++) {
                choiceGroup.append(jObject[i].getString("date"), null);//se muestra sólo la fecha del json
            }
        } catch (JSONException jse) {
            jse.printStackTrace();
            choiceGroup.append("excepcion", null);
        }
        for (int i=0; i<n_jsons; i++) {
            choiceGroup.setFont(i, null);
        }
        choiceGroup.setFitPolicy(Choice.EXCLUSIVE);
        boolean[] bool = new boolean[n_jsons];
        for (int i=0; i<n_jsons; i++) {
            bool[i] = false;
        }
        choiceGroup.setSelectedFlags(bool);

        vjson_view = vjson_del = vjson_edit = vjson;

        return choiceGroup;
    }

    /**
     * Genera el String JSON
     * @return devuelve el JSON en un objeto String
     */
    public String generaJSON () {
        //formato: {"operation":"id_operation","base":"id_base","device":"id_device","date":"20093112", ... }
        stringjson = "{\"operation\":\""+id_operation+"\",\"base\":\""+id_base+"\",\"device\":\""+id_device+"\",\"date\":\""+date_add+"\",";
        stringjson += "\"mu5\":[";
        for (int i=0;i<number_of_diseases;i++) {
            stringjson += data[0][i]+",";
        }
        stringjson = stringjson.substring(0, stringjson.length()-1);//quitar última coma ,
        stringjson += "],";
        stringjson += "\"mo5\":[";
        for (int i=0;i<number_of_diseases;i++) {
            stringjson += data[1][i]+",";
        }
        stringjson = stringjson.substring(0, stringjson.length()-1);//quitar última coma ,
        stringjson += "],";
        stringjson += "\"fu5\":[";
        for (int i=0;i<number_of_diseases;i++) {
            stringjson += data[2][i]+",";
        }
        stringjson = stringjson.substring(0, stringjson.length()-1);//quitar última coma ,
        stringjson += "],";
        stringjson += "\"fo5\":[";
        for (int i=0;i<number_of_diseases;i++) {
            stringjson += data[3][i]+",";
        }
        stringjson = stringjson.substring(0, stringjson.length()-1);//quitar última coma ,
        stringjson += "]}";//cierra array y objeto
        return stringjson;
    }

    /**
     * Genera un String en formato yyyyMMdd a partir del objeto fecha
     * @param fecha objeto con el que se genera la fecha en String
     * @return devuelve el String en formato yyyyMMdd
     */
    public String generaDate (Date fecha) {
        String date;
        long date_s = fecha.getTime();
        Calendar c = Calendar.getInstance();
        c.setTime(new Date(date_s));
        int d = c.get(Calendar.DAY_OF_MONTH);
        int m = c.get(Calendar.MONTH)+1;//el primer mes de Calendar.MONTH es 0
        int y = c.get(Calendar.YEAR);
        if (m < 10)                     //generamos una fecha en formato yyyymmdd
            if (d < 10)
                date = y+"0"+m+"0"+d;
            else
                date = y+"0"+m+""+d;
        else
            if (d < 10)
                date = y+""+m+"0"+d;
            else
                date = y+""+m+""+d;
        return date;
    }

    /**
     * Returns a display instance.
     * @return the display instance.
     */
    public Display getDisplay () {
        return Display.getDisplay(this);
    }

    /**
     * Exits MIDlet.
     */
    public void exitMIDlet() {
        switchDisplayable (null, null);
        destroyApp(true);
        notifyDestroyed();
    }

    /**
     * Called when MIDlet is started.
     * Checks whether the MIDlet have been already started and initialize/starts or resumes the MIDlet.
     */
    public void startApp() {
        if (midletPaused) {
            resumeMIDlet ();
        } else {
            initialize ();
            startMIDlet ();
        }
        midletPaused = false;
    }

    /**
     * Called when MIDlet is paused.
     */
    public void pauseApp() {
        midletPaused = true;
    }

    /**
     * Called to signal the MIDlet to terminate.
     * @param unconditional if true, then the MIDlet has to be unconditionally terminated and all resources has to be released.
     */
    public void destroyApp(boolean unconditional) {
    }

}
